<?php
  /**
   * Caixa
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyright 2013
   * @version 2
   */
  if (!defined("_VALID_PHP"))
      die('Acesso direto a esta classe não é permitido.');
  if (!$usuario->is_Todos())
	  redirect_to("login.php");
  $data_caixa = (get('data_caixa')) ? get('data_caixa') : date("d/m/Y");
?>
<?php switch(Filter::$acao): case "retirar": ?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CAIXA_RETIRAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW FORMULARIO -->
			<div class='row'>
				<div class='col-md-12'>		
					<div class="portlet light">
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-minus-square'>&nbsp;&nbsp;</i><?php echo lang('CAIXA_RETIRAR');?>
							</div>
						</div>
						<div class='portlet-body form'>
							<!-- INICIO FORM-->
							<form action='' method='post' class='form-horizontal' name='admin_form' id='admin_form'>
								<div class='form-body'>
									<div class='row'>
										<div class='col-md-12'>
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DESCRICAO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control caps' name='descricao'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('FORNECEDOR');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_cadastro' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $cadastro->getFornecedores();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('CATEGORIA');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_pai' id='id_pai_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getPai('"D"');
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->conta;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PLANO_CONTAS');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_conta' id='id_conta_despesa' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('VALOR_PAGO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control moeda' name='valor'>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<div class='form-actions'>
									<div class='row'>
										<div class='col-md-12'>
											<div class='col-md-6'>
												<div class='row'>
													<div class='col-md-offset-3 col-md-9'>
														<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
														<button type='button' id='voltar' class='btn default'><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class='col-md-6'>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm('processarRetirarCaixa');?>	
							<!-- FINAL FORM-->
						</div>	
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "adicionar": ?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class='page-container'>
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class='page-head'>
		<div class='container'>
			<!-- INICIO TITULO DA PAGINA -->
			<div class='page-title'>
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CAIXA_RECEITA');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class='page-content'>
		<div class='container'>
			<!-- INICIO DO ROW FORMULARIO -->
			<div class='row'>
				<div class='col-md-12'>		
					<div class="portlet light">
						<div class='portlet-title'>
							<div class='caption'>
								<i class='fa fa-plus-square'>&nbsp;&nbsp;</i><?php echo lang('CAIXA_RECEITA');?>
							</div>
						</div>
						<div class='portlet-body form'>
							<!-- INICIO FORM-->
							<form action='' method='post' class='form-horizontal' name='admin_form' id='admin_form'>
								<div class='form-body'>
									<div class='row'>
										<div class='col-md-12'>
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PAGAMENTO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='tipo' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getTipoPagamento();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->tipo;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('DESCRICAO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control caps' name='descricao'>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PACIENTE');?></label>
														<div class='col-md-9'>
															<input type="text" autocomplete="off" class="form-control caps listar_pacientes" id="paciente" name="nome" >
															<input id="id_paciente" name="id_paciente" type="hidden" />
															<span class="label label-success ocultar selecionado"><?php echo lang('PACIENTE_SELECIONADO');?></span>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class='col-md-6'>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('BANCO');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_banco' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getBancos();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id;?>'><?php echo $srow->banco;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('PLANO_CONTAS');?></label>
														<div class='col-md-9'>
															<select class='select2me form-control' name='id_conta' data-placeholder='<?php echo lang('SELECIONE_OPCAO');?>' >
																<option value=""></option>
																<?php 
																	$retorno_row = $faturamento->getFilho(1);
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value='<?php echo $srow->id_filho;?>'><?php echo $srow->filho;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-3'><?php echo lang('VALOR_PAGO');?></label>
														<div class='col-md-9'>
															<input type='text' class='form-control moeda' name='valor'>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<div class='form-actions'>
									<div class='row'>
										<div class='col-md-12'>
											<div class='col-md-6'>
												<div class='row'>
													<div class='col-md-offset-3 col-md-9'>
														<button type='submit' class='btn <?php echo $core->primeira_cor;?>'><?php echo lang('SALVAR');?></button>
														<button type='button' id='voltar' class='btn default'><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class='col-md-6'>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm('processarEntradaCaixa');?>	
							<!-- FINAL FORM-->
						</div>	
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "listar":
$id_empresa = session('idempresa');  ?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var data_caixa = $("#data_caixa").val();
			window.location.href = 'index.php?do=caixa&acao=listar&data_caixa='+ data_caixa;
		});
	});
	// ]]>
</script>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CAIXA_PESSOAL');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-inbox font-<?php echo $core->primeira_cor;?>"></i>								
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('CAIXA_PESSOAL');?></span>
							</div>
							<div class="actions btn-set">
								<a href="index.php?do=caixa&acao=adicionar" class="btn btn-success"><i class="fa fa-plus-square">&nbsp;&nbsp;</i><?php echo lang('CAIXA_RECEITA');?></a>
								<a href="index.php?do=caixa&acao=retirar" class="btn btn-danger"><i class="fa fa-minus-square">&nbsp;&nbsp;</i><?php echo lang('CAIXA_RETIRAR');?></a>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<input type="text" class="form-control input-medium calendario data" name="data_caixa" id="data_caixa" value="<?php echo $data_caixa;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR_DIA');?></button>
									&nbsp;&nbsp;
									<a href="javascript:void(0);" class="btn yellow-casablanca" onclick="javascript:void window.open('ver_dia.php?data=<?php echo $data_caixa;?>&usuario_caixa=<?php echo $usuario->nomeusuario;?>','<?php echo $data_caixa;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('CAIXA_IMPRIMIR_DIA');?>"><i class="fa fa-print">&nbsp;&nbsp;</i><?php echo lang('CAIXA_IMPRIMIR_DIA');?></a>
								</div>
							</form>
						</div>
						<div class="portlet-body">
								<table width="100%">
									<tr>							
										<td width="40%" valign="top">									
											<h4 class="form-section"><?php echo lang('CAIXA_DIA');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
													<tr>
														<td><strong><?php echo lang('DATA');?></strong></td>
														<td><?php echo $data_caixa;?></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('USUARIO');?></strong></td>
														<td><?php echo $usuario->nome;?></td>
													</tr>
												</tbody>
											</table>
										</td>		
										<td width="5%">										
										</td>					
										<td width="40%" valign="top">									
											<h4 class="form-section"><?php echo lang('CAIXA_MOVIMENTO');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
												<?php 	
														$total = 0;
														$total_dinheiro = 0;
														$retorno_row = $faturamento->getCaixasTotalReceita($data_caixa, $usuario->nomeusuario);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
														$total += $exrow->valor_total;
														$total_dinheiro += ($exrow->id_tipo == 1) ? $exrow->valor_total : 0;
														$valor = moeda($exrow->valor_total);
												?>
													<tr>
														<td><?php echo ($exrow->tipo) ? $exrow->tipo : "-";?></td>
														<td><?php echo $valor;?></td>
													</tr>
												<?php   endforeach;?>
												<?php unset($exrow);
													  endif;
												?>
												<?php 	
														$total_retirada = $despesa->getCaixaTotalRetirada($data_caixa, $usuario->nomeusuario);
														if($total_retirada > 0) {
															$total_dinheiro -= $total_retirada;
														}
												?>
													<tr>
														<td><?php echo lang('RETIRADAS_DIA');?></td>
														<td><?php echo " <span class='font-red'>- ".moeda($total_retirada)."</span>";?></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total);?></strong></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total-$total_retirada);?></strong></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_DINHEIRO');?></strong></td>
														<td><strong><?php echo moeda($total_dinheiro);?></strong></td>
													</tr>
												</tbody>
											</table>
										</td>	
									</tr>
								</table>
								<table width="100%">
									<tr>
										<td>
											<h4 class="form-section"><?php echo lang('CAIXA_MOVIMENTO');?></h4>
											<table class="table table-bordered table-condensed">
												<thead>
													<tr class="disabled">
														<th><strong><?php echo lang('NOME');?></strong></th>
														<th><strong><?php echo lang('CONVENIO');?></strong></th>
														<th><strong><?php echo lang('MEDICO');?></strong></th>
														<th><strong><?php echo lang('PROCEDIMENTO');?></strong></th>
														<th><strong><?php echo lang('AGENDA');?></strong></th>
														<th><strong><?php echo lang('DATA');?></strong></th>
														<th><strong><?php echo lang('PAGAMENTO');?></strong></th>
														<th><strong><?php echo lang('VALOR');?></strong></th>
														<th><strong><?php echo lang('USUARIO');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$total = 0;
														$retorno_row = $faturamento->getCaixasReceita($data_caixa, $usuario->nomeusuario);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
														$valor = ($exrow->inativo == 0) ? $exrow->valor_pago : 0;
														$total += $valor;
												?>
													<tr <?php echo ($exrow->inativo) ? "class='danger'" : "";?>>
														<td><?php echo $exrow->nome;?></td>
														<td><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
														<td><?php echo $exrow->medico;?></td>
														<td><?php echo $exrow->procedimento;?></td>
														<td><?php echo exibedata($exrow->data_agenda);?></td>
														<td><?php echo exibedata($exrow->data_caixa);?></td>
														<td><?php echo $exrow->tipo;?></td>
														<td><?php echo decimal($valor);?></td>
														<td><?php echo $exrow->usuario;?></td>
													</tr>
												<?php endforeach;?>
												<?php unset($exrow);
													  endif;
												?>
													<tr>
														<td colspan="7"><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo decimal($total);?></strong></td>
														<td></td>
													</tr>
												</tbody>
											</table>							
											<h4 class="form-section"><?php echo lang('CAIXA_CONVENIO');?></h4>
											<table class="table table-bordered table-condensed">
												<thead>
													<tr class="disabled">
														<th><strong><?php echo lang('NOME');?></strong></th>
														<th><strong><?php echo lang('CONVENIO');?></strong></th>
														<th><strong><?php echo lang('MEDICO');?></strong></th>
														<th><strong><?php echo lang('PROCEDIMENTO');?></strong></th>
														<th><strong><?php echo lang('AGENDA');?></strong></th>
														<th><strong><?php echo lang('GUIA');?></strong></th>
														<th><strong><?php echo lang('USUARIO');?></strong></th>
														<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
														<th><strong><?php echo lang('STATUS');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$total = 0;
														$retorno_row = $faturamento->getCaixasConvenioData($data_caixa, $id_empresa, $usuario->nomeusuario);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
															$status = 0;
															if($exrow->realizado == 1) {
																if($exrow->pago == 1 or $exrow->pago == 9) {
																	$status = 1;
																	if($exrow->guia > 0) {
																		$class = 'class="info"';
																		if(!$exrow->numero_guia) {
																			$status = 12;
																			$class = 'class="warning"';
																		}
																	}
																} else {
																	$status = 11;
																}
															}elseif($exrow->realizado == 2) {
																$status = 2;
															}elseif($exrow->realizado == 6) {
																$status = 6;
															}elseif($exrow->retorno == 2) {
																$status = 10;
															}elseif($exrow->pago == 1) {
																$status = 4;
															}elseif($exrow->pago == 2) {
																$status = 5;
															}elseif($exrow->realizado == 3) {
																$status = 3;
															}
															if($exrow->realizado == 9) {
																$class = 'class="danger"';
																$status = 9;
																$valor_pago = 0;
															} else {
																$valor_pago = $exrow->valor_pago;
															}
															$total += $valor_pago;
												?>
													<tr>
														<td><?php echo $exrow->nome;?></td>
														<td><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
														<td><?php echo $exrow->medico;?></td>
														<td><?php echo $exrow->procedimento;?></td>
														<td><?php echo exibedata($exrow->data_agenda);?></td>
														<td><?php echo $exrow->numero_guia;?></td>
														<td><?php echo $exrow->usuario_guia;?></td>
														<td><?php echo decimal($valor_pago);?></td>
														<td><?php echo statusAgenda($status);?></td>
													</tr>
												<?php   endforeach;?>
													<tr>
														<td colspan="7"><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo decimal($total);?></strong></td>
														<td></td>
													</tr>
												<?php unset($exrow);
													  endif;
												?>
												</tbody>
											</table>
											<h4 class="form-section"><?php echo lang('CAIXA_RETIRADAS_DIA');?></h4>
											<table class="table table-bordered table-condensed">
												<thead>
													<tr class="disabled">
														<th><strong><?php echo lang('FORNECEDOR');?></strong></th>
														<th><strong><?php echo lang('DESCRICAO');?></strong></th>
														<th><strong><?php echo lang('PLANO_CONTAS');?></strong></th>
														<th><strong><?php echo lang('VALOR');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$total_retirada = 0;
														$retorno_row = $despesa->getCaixaListaRetiradaData($data_caixa, $usuario->nomeusuario);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
															$total_retirada += $exrow->valor;
												?>
													<tr>
														<td><?php echo $exrow->cadastro;?></td>
														<td><?php echo $exrow->descricao;?></td>
														<td><?php echo $exrow->conta;?></td>
														<td><?php echo moeda($exrow->valor);?></td>
													</tr>
												<?php endforeach;?>
													<tr>
														<td colspan="3"><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total_retirada);?></strong></td>
													</tr>
												<?php unset($exrow);
													  endif;?>
												</tbody>
											</table>
										</td>
									</tr>
								</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "agenda":
$id_medico = (get('id_medico')) ? get('id_medico') : 0; ?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var data_caixa = $("#data_caixa").val();
			var id_medico = $("#id_medico").val();
			window.location.href = 'index.php?do=caixa&acao=agenda&data_caixa='+ data_caixa + '&id_medico='+ id_medico;
		});
		$('#id_medico').change(function() {
			var data_caixa = $("#data_caixa").val();
			var id_medico = $("#id_medico").val();
			window.location.href = 'index.php?do=caixa&acao=agenda&data_caixa='+ data_caixa + '&id_medico='+ id_medico;
		});
		$('#imprimir').click(function() {
			var data_caixa = $("#data_caixa").val();
			var id_medico = $("#id_medico").val();
			if(id_medico > 0) {
				window.open('pdf_producao.php?data_caixa='+ data_caixa + '&id_medico='+ id_medico,'Imprimir produção','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');
			} else {
				alert('Selecione um médico.');
			}
		});
	});
	// ]]>
</script>
<div id="cancelar-agenda" class="modal fade" role="dialog" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-ban">&nbsp;&nbsp;</i><?php echo lang('AGENDA_CANCELAR');?></span></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="cancelar_form" id="cancelar_form" class="form-horizontal">
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('MOTIVO');?></label>
									<div class="col-md-8">
										<select class="select2me bs-select form-control"  name="id_cancelamento" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
												<option value=""></option>
												<?php 
													$retorno_row = $paciente->getCancelamentos();
													if ($retorno_row):
														foreach ($retorno_row as $srow):
												?>
															<option value="<?php echo $srow->id;?>"><?php echo $srow->cancelamento;?></option>
												<?php
														endforeach;
														unset($srow);
													endif;
												?>
											</select>
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('OBSERVACAO');?></label>
									<div class="col-md-8">
											<input type="text" class="form-control caps" name="observacao">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("cancelarAgenda", "cancelar_form");?>
</div>
<div id="novo-pagamento" class="modal fade" role="dialog" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-usd">&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_NOVO');?></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="pagar_form" id="pagar_form" class="form-horizontal">
				<div class="modal-body">
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('VALOR');?></label>
						<div class="col-md-7">
							<input readonly type="text" class="form-control moeda valor">
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-md-4"></label>
						<div class="col-md-7">
							<div class="md-checkbox-list">
								<div class="md-checkbox">
									<input type="checkbox" class="md-check" name="parcial" id="parcial" value="1">
									<label for="parcial">
									<span></span>
									<span class="check"></span>
									<span class="box"></span>
									<?php echo lang('PAGAMENTO_PARCIAL');?></label>
								</div>
							</div>
						</div>
					</div>
					<hr>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('VALOR_PAGO');?></label>
						<div class="col-md-7">
							<input type="text" class="form-control moeda" name="valor_pago">
						</div>
					</div>
					<?php if($usuario->is_Desconto()):?>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('VALOR_DESCONTO');?></label>
						<div class="col-md-7">
							<input type="text" class="form-control moeda" name="valor_desconto">
						</div>
					</div>
					<?php endif;?>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('OBSERVACAO');?></label>
						<div class="col-md-7">
							<input type="text" class="form-control caps" name="observacao">
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('TIPO_PAGAMENTO');?></label>
						<div class="col-md-7">
							<select class="select2me bs-select form-control" id="tipo_pagamento1" name="tipo_pagamento" data-placeholder="<?php echo lang('SELECIONE_TIPO');?>" >
									<option value=""></option>
									<?php 
									    $retorno_row = $faturamento->getTipoPagamento();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->tipo;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
						</div>
					</div>
					<div class="form-group ocultar id_banco">
						<label class="control-label col-md-4"><?php echo lang('BANCO');?></label>
						<div class="col-md-7">
							<select class="select2me bs-select form-control" name="id_banco" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
									<option value=""></option>
									<?php 
									    $retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
						</div>
					</div>
					<div class="form-group ocultar autorizacao">
						<label class="control-label col-md-4"><?php echo lang('AUTORIZACAO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control caps" name="autorizacao">
						</div>
					</div>
					<div class="form-group ocultar total_parcelas">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_PARCELAS');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="total_parcelas" value="1">
						</div>
					</div>
					<div class="form-group ocultar cartao_numero">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_CARTAO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control numero_cartao" name="numero_cartao">
						</div>
					</div>
					<div class="form-group ocultar data_vencimento">
						<label class="control-label col-md-4"><?php echo lang('DATA_VENCIMENTO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control data calendario" name="data_vencimento">
						</div>
					</div>
					<div class="form-group ocultar nome_cheque">
						<label class="control-label col-md-4"><?php echo lang('TITULAR_CHEQUE');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control caps" id="nome_cheque" name="nome_cheque">
						</div>
					</div>
					<div class="form-group ocultar banco_cheque">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_BANCO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="banco_cheque">
						</div>
					</div>
					<div class="form-group ocultar agencia_cheque">
						<label class="control-label col-md-4"><?php echo lang('AGENCIA_BANCO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="agencia_cheque">
						</div>
					</div>
					<div class="form-group ocultar numero_cheque">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_CHEQUE');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="numero_cheque">
						</div>
					</div>				
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit green"><?php echo lang('PAGAMENTO_CONFIRMAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarPagamento", "pagar_form");?>
</div>
<div id="parcial-pagamento" class="modal fade" role="dialog" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-usd">&nbsp;&nbsp;</i><?php echo lang('FINANCEIRO_NOVO');?></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="parcial_form" id="parcial_form" class="form-horizontal">
				<div class="modal-body">
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('VALOR');?></label>
						<div class="col-md-7">
							<input readonly type="text" class="form-control moeda valor">
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-md-4"></label>
						<div class="col-md-7">
							<div class="md-checkbox-list">
								<div class="md-checkbox">
									<input type="checkbox" class="md-check" name="parcial" id="parcial2" value="1">
									<label for="parcial2">
									<span></span>
									<span class="check"></span>
									<span class="box"></span>
									<?php echo lang('PAGAMENTO_PARCIAL');?></label>
								</div>
							</div>
						</div>
					</div>
					<hr>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('VALOR_PAGO');?></label>
						<div class="col-md-7">
							<input type="text" class="form-control moeda" name="valor_pago">
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-md-4"><?php echo lang('TIPO_PAGAMENTO');?></label>
						<div class="col-md-7">
							<select class="select2me bs-select form-control" id="tipo_pagamento2" name="tipo_pagamento" data-placeholder="<?php echo lang('SELECIONE_TIPO');?>" >
									<option value=""></option>
									<?php 
									    $retorno_row = $faturamento->getTipoPagamento();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->tipo;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
						</div>
					</div>
					<div class="form-group ocultar id_banco">
						<label class="control-label col-md-4"><?php echo lang('BANCO');?></label>
						<div class="col-md-7">
							<select class="select2me bs-select form-control" name="id_banco" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
									<option value=""></option>
									<?php 
									    $retorno_row = $faturamento->getBancos();
										if ($retorno_row):
											foreach ($retorno_row as $srow):
									?>
												<option value="<?php echo $srow->id;?>"><?php echo $srow->banco;?></option>
									<?php
											endforeach;
											unset($srow);
										endif;
									?>
								</select>
						</div>
					</div>
					<div class="form-group ocultar autorizacao">
						<label class="control-label col-md-4"><?php echo lang('AUTORIZACAO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control caps" name="autorizacao">
						</div>
					</div>
					<div class="form-group ocultar total_parcelas">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_PARCELAS');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="total_parcelas" value="1">
						</div>
					</div>
					<div class="form-group ocultar cartao_numero">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_CARTAO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control numero_cartao" name="numero_cartao">
						</div>
					</div>
					<div class="form-group ocultar data_vencimento">
						<label class="control-label col-md-4"><?php echo lang('DATA_VENCIMENTO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control data calendario" name="data_vencimento">
						</div>
					</div>
					<div class="form-group ocultar nome_cheque">
						<label class="control-label col-md-4"><?php echo lang('TITULAR_CHEQUE');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control caps" id="nome_cheque" name="nome_cheque">
						</div>
					</div>
					<div class="form-group ocultar banco_cheque">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_BANCO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="banco_cheque">
						</div>
					</div>
					<div class="form-group ocultar agencia_cheque">
						<label class="control-label col-md-4"><?php echo lang('AGENCIA_BANCO');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="agencia_cheque">
						</div>
					</div>
					<div class="form-group ocultar numero_cheque">
						<label class="control-label col-md-4"><?php echo lang('NUMERO_CHEQUE');?></label>
						<div class="col-md-7">
								<input type="text" class="form-control inteiro" name="numero_cheque">
						</div>
					</div>				
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit green"><?php echo lang('PAGAMENTO_CONFIRMAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarPagamentoParcial", "parcial_form");?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('ATENDIMENTO_PAGAMENTO');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">			
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-usd font-<?php echo $core->primeira_cor;?>"></i>
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('ATENDIMENTO_PAGAMENTO');?></span>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<input type="text" class="form-control input-medium calendario data" name="data_caixa" id="data_caixa" value="<?php echo $data_caixa;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR_DIA');?></button>
									&nbsp;&nbsp;								
									<select class="select2me bs-select form-control input-medium " id="id_medico" name="id_medico" data-placeholder="<?php echo lang('SELECIONE_MEDICO');?>" >
										<option value=""></option>
										<?php 
											$retorno_row = $usuario->getMedicos();
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_medico) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
										<?php
												endforeach;
												unset($srow);
											endif;
										?>
									</select>
									&nbsp;&nbsp;
									<a href='javascript:void(0);' id="imprimir" class='btn yellow-casablanca' title='<?php echo lang('IMPRIMIR_PRODUCAO');?>'><i class='fa fa-print'>&nbsp;&nbsp;</i><?php echo lang('IMPRIMIR_PRODUCAO');?></a>
								</div>
							</form>
						</div>
						<div class="portlet-body util-btn-margin-bottom-5">
							<!-- INICIO UTIL-BTN-MARGIN-BOTTOM-5-->
								<div class="row">							
									<div class="col-md-12 col-sm-12">										
										<div>
											<table class="table table-bordered table-striped table-condensed table-advance dataTable-asc ">
												<thead>
													<tr>
														<th>#</th>
														<th><?php echo lang('HORA');?></th>
														<th><?php echo lang('PACIENTE');?></th>
														<th><?php echo lang('MEDICO');?></th>
														<th><?php echo lang('PROCEDIMENTO');?></th>
														<th><?php echo lang('VALOR');?></th>
														<th><?php echo lang('PAGO');?></th>
														<th><?php echo lang('REPASSE');?></th>
														<th><?php echo lang('PAGAMENTO');?></th>
														<th><?php echo lang('USUARIO');?></th>
														<th><?php echo lang('STATUS');?></th>
														<th width="140px"><?php echo lang('ACOES');?></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
													$total = 0;
													$total_valor = 0;
													$total_pago = 0;
													$total_repasse = 0;
													$retorno_row = $atendimento->getAgendaDia($data_caixa, $id_medico);
													if($retorno_row):
														foreach ($retorno_row as $exrow):
															if($exrow->bloqueio == 1 and $exrow->realizado == 0) :
													?>
													<tr class="disabled">
														<td><?php echo exibeHora($exrow->data_agenda);?></td>
														<td><?php echo exibeHora($exrow->data_agenda);?></td>
														<td><?php echo lang('BLOQUEADO');?></td>
														<td><?php echo $exrow->medico;?></td>
														<td><?php echo $exrow->observacao;?></td>
														<td></td>
														<td></td>
														<td></td>
														<td></td>
														<td><?php echo $exrow->usuario_agenda;?></td>
														<td></td>
														<td>
															<a href="javascript:void(0);" class="btn btn-icon-only red cancelarbloqueio" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_CANCELAR_BLOQUEIO').$exrow->medico;?>"><i class="fa fa-ban"></i></a>
														</td>
													</tr>
															
												<?php 		else:	
															$class = '';
															$status = 0;
															$valor_tabela = $exrow->valor_tabela;	
															$valor_pago = $exrow->valor_pago;
															if($exrow->realizado == 1) {
																if($exrow->pago == 1 or $exrow->pago == 9) {
																	$status = 1;
																	if($exrow->guia > 0 and $exrow->validar_guias) {
																		$class = 'class="info"';
																		if(!$exrow->numero_guia) {
																			$status = 12;
																			$class = 'class="danger"';
																		} elseif($exrow->vencida) {
																			$status = 14;
																			$class = 'class="danger"';
																		}
																	}
																} else {
																	$status = 11;
																}
															}elseif($exrow->venceu and $exrow->validar_guias) {
																$status = 14;
																$class = 'class="danger"';
															}elseif($exrow->vencer and $exrow->validar_guias) {
																$status = 13;
																$class = 'class="warning"';
															}elseif($exrow->realizado == 2) {
																$status = 2;
															}elseif($exrow->realizado == 6) {
																$status = 6;
															}elseif($exrow->realizado == 3) {
																$status = 3;
															}elseif($exrow->retorno == 2) {
																$status = 10;
															}elseif($exrow->pago == 1) {
																$status = 4;
															}elseif($exrow->pago == 2) {
																$status = 5;
															}
															if($exrow->realizado == 9) {
																$class = 'class="danger"';
																$status = 9;
															}
															if($exrow->pago != 1) {
																if($exrow->id_convenio) {
																	$valor_convenio = getValue('valor_convenio', 'tabela_convenio', 'id_tabela='.$exrow->id_tabela.' AND id_cadastro='.$exrow->id_convenio);
																	$valor_tabela = ($valor_convenio) ? $valor_convenio : $exrow->valor;
																} else {
																	$valor_tabela = $exrow->valor;				  
																}
															}
															$valor_pagar = $valor_tabela - $valor_pago;
															$total_valor += $valor_tabela;
															$producao = $exrow->producao;
															$valor = $exrow->valor_pago;	
															$valor_repasse = 0;	
															if($exrow->id_retorno == 0) {
																$repasse = $atendimento->getValorRepasse($exrow->id_tabela, $exrow->id_medico, $exrow->id_convenio);
																if($producao == 2) {
																	$percentual_repasse = ($repasse) ? $repasse->percentual_repasse : 0;
																	$valor_repasse = $valor*$percentual_repasse/100;
																	if($valor_repasse == 0) {
																		$valor_repasse = ($repasse) ? $repasse->valor_repasse : 0;
																	}
																} elseif($producao == 1) {
																	$valor_repasse = ($repasse) ? $repasse->valor_repasse : 0;
																	if($valor_repasse == 0) {
																		$percentual_repasse = ($repasse) ? $repasse->percentual_repasse : 0;
																		$valor_repasse = $valor*$percentual_repasse/100;
																	}
																}
															}
															if($exrow->realizado == 9) {
																$class = 'class="danger"';
																$status = 9;
																$valor_pago = 0;
																$valor_repasse = 0;
															} else {
																$total += $valor_pago;
																$total_repasse += $valor_repasse;
																$total_pago += $valor_pago;
															}
															if($status == 11 and $valor_tabela == 0) {
																$status = $exrow->realizado;
															}
												?>
													<tr <?php echo $class;?>>
														<td><?php echo exibeHora($exrow->data_agenda);?></td>
														<td><?php echo exibeHora($exrow->data_agenda);?></td>
														<td><a href="index.php?do=paciente&acao=agenda&id=<?php echo $exrow->id_paciente;?>"><?php echo $exrow->paciente;?></a></td>
														<td><?php echo $exrow->medico;?></td>
														<td><?php echo $exrow->procedimento;?></td>
														<td><?php echo decimal($valor_tabela);?></td>
														<td><?php echo decimal($valor_pago);?></td>
														<td><?php echo decimal($valor_repasse);?></td>
														<td><?php echo exibedataHora($exrow->data_pagamento);?></td>
														<td><?php echo ($exrow->usuario_pagamento) ? $exrow->usuario_pagamento : $exrow->usuario_agenda;?></td>
														<td><?php echo statusAgenda($status);?></td>
														<td>	
														<?php if($exrow->pago == 1 and $exrow->id_pagamento > 0 and $exrow->realizado != 9):?>
															<a href="javascript:void(0);" onclick="javascript:void window.open('recibo_financeiro.php?id_financeiro=<?php echo $exrow->id_pagamento;?>','<?php echo lang('IMPRIMIR_RECIBO').$exrow->id_pagamento;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('IMPRIMIR_RECIBO');?>" class="btn btn-icon-only yellow-casablanca"><i class="fa fa-file-o"></i></a>
															<a href="javascript:void(0);" onclick="javascript:void window.open('recibo.php?id_financeiro=<?php echo $exrow->id_pagamento;?>','<?php echo lang('IMPRIMIR_RECIBO').$exrow->id_pagamento;?>','width=360,height=500,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('IMPRIMIR_RECIBO');?>" class="btn btn-icon-only purple"><i class="fa fa-file-o"></i></a>
														<?php endif;?>
														<?php if($exrow->pago == 0 and $exrow->realizado != 9  and $valor_tabela > 0):?>
															<a href="javascript:void(0);" class="btn btn-icon-only green pagarprocedimento" id="<?php echo $exrow->id;?>" id_tabela="<?php echo $exrow->id_tabela;?>" valor="<?php echo moeda($valor_pagar);?>" title="<?php echo lang('ATENDIMENTO_PAGAMENTO').': '.$exrow->procedimento;?>"><i class="fa fa-usd"></i></a>
														<?php elseif($exrow->pago == 2 and $exrow->realizado != 9 and $valor_tabela > 0):?>
															<a href="javascript:void(0);" class="btn btn-icon-only green-turquoise parcialpagamento" id="<?php echo $exrow->id_pagamento;?>" valor="<?php echo moeda($valor_pagar);?>" title="<?php echo lang('PAGAMENTO_PARCIAL').': '.$exrow->procedimento;?>"><i class="fa fa-usd"></i></a>
														<?php endif;?>
														<?php if(($exrow->pago == 1 or $exrow->pago == 9 or $exrow->liberar_pagamento or $valor_tabela == 0) and $exrow->realizado > 2 and $exrow->realizado < 6):?>
															<a href="javascript:void(0);" class="btn btn-icon-only yellow liberaragenda" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_LIBERAR').$exrow->procedimento;?>"><i class="fa fa-check"></i></a>
														<?php endif;?>	
														<?php if($exrow->realizado == 0):?>
															<a href="javascript:void(0);" class="btn btn-icon-only blue confirmaragenda" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_CONFIRMAR').$exrow->procedimento;?>"><i class="fa fa-thumbs-up"></i></a>
															<a href="javascript:void(0);" class="btn btn-icon-only red cancelaragenda" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_CANCELAR').$exrow->procedimento;?>"><i class="fa fa-ban"></i></a>
														<?php elseif($exrow->realizado == 2):?>
															<a href="javascript:void(0);" class="btn btn-icon-only red cancelaragenda" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_CANCELAR').$exrow->procedimento;?>"><i class="fa fa-ban"></i></a>
														<?php elseif($usuario->is_Master() and $exrow->realizado != 9):?>
															<a href="javascript:void(0);" class="btn btn-icon-only red cancelaragenda" id="<?php echo $exrow->id;?>" title="<?php echo lang('AGENDA_CANCELAR').$exrow->procedimento;?>"><i class="fa fa-ban"></i></a>
														<?php endif;?>
														</td>
													</tr>
												<?php 
														endif;
														endforeach;?>
												</tbody>
												<tfoot>
													<tr>
														<td colspan="5"><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong></strong></td>
														<td><strong><?php echo decimal($total_pago);?></strong></td>
														<td><strong><?php echo decimal($total_repasse);?></strong></td>
														<td colspan="4"></td>
													</tr>
												<?php unset($exrow);
													  endif;?>
												</tfoot>
											</table>
										</div>
									</div>
								</div>
							<!-- FINAL UTIL-BTN-MARGIN-BOTTOM-5-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "mensal":
$mes = (get('mes')) ? get('mes') : date('m/Y');
$id_empresa = (get('id_empresa')) ? get('id_empresa') : session('idempresa'); 
 ?>
<script src="./assets/scripts/highcharts.js" type="text/javascript"></script>
<script src="./assets/css/highcharts.css" type="text/css"></script>

<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#mes').click(function() {
			var id_empresa = $("#id_empresa").val();
			var mes = $("#mes").val();
			window.location.href = 'index.php?do=caixa&acao=mensal&mes='+ mes + '&id_empresa='+ id_empresa;
		});
		
		$('#id_empresa').click(function() {
			var id_empresa = $("#id_empresa").val();
			var mes = $("#mes").val();
			window.location.href = 'index.php?do=caixa&acao=mensal&mes='+ mes + '&id_empresa='+ id_empresa;
		});
	});
	// ]]>
</script>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CAIXA_MENSAL');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-calendar font-<?php echo $core->primeira_cor;?>"></i>
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('CAIXA_MENSAL');?></span>
							</div>
							<div class="actions btn-set">
								<a href="javascript:void(0);" class="btn yellow-casablanca" onclick="javascript:void window.open('ver_mes.php?mes=<?php echo $mes;?>&id_empresa=<?php echo $id_empresa;?>','<?php echo $mes;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('IMPRIMIR');?>"><i class="fa fa-print">&nbsp;&nbsp;</i><?php echo lang('IMPRIMIR');?></a>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me bs-select form-control input-large" id="id_empresa" name="id_empresa" data-placeholder="<?php echo lang('SELECIONE_EMPRESA');?>" >
											<option value=""></option>
											<?php 
												$retorno_row = $empresa->getEmpresas();
												if ($retorno_row):
													foreach ($retorno_row as $srow):
											?>
														<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_empresa) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
											<?php
													endforeach;
													unset($srow);
												endif;
											?>
										</select>
									&nbsp;&nbsp;
									<?php 
												$retorno_row = $gestao->getListaMes("receita", "data_pagamento", false, "DESC");
										?>
									<select class="select2me form-control input-large" name="mes" id="mes" data-placeholder="<?php echo lang('SELECIONE_MES');?>" >
										<option value=""></option>
										<?php 
												if ($retorno_row):
													foreach ($retorno_row as $srow):
										?>				
														<option value="<?php echo $srow->mes_ano;?>" <?php if($srow->mes_ano == $mes) echo 'selected="selected"';?>><?php echo exibeMesAno($srow->mes_ano, true, true);?></option>
										<?php
													endforeach;
													unset($srow);
												endif;
										?>
									</select>
								</div>
							</form>
						</div>
						<div class="portlet-body">
								<table width="100%">
									<tr>							
										<td width="40%" valign="top">									
											<h4 class="form-section"><?php echo lang('RESUMO');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<thead>
													<tr class="disabled">
														<th colspan="3"><strong><?php echo lang('CAIXA_ATENDIMENTO');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$quantidade = 0;
														$total = 0;
														$retorno_row = $gestao->getResumoAtendimentosMensal($mes, $id_empresa);
														if($retorno_row):
															foreach ($retorno_row as $exrow):
																$total += $exrow->valor;
																$quantidade += $exrow->quant;
												?>
													<tr>
														<td width="60%"><?php echo statusAgendaPDF($exrow->realizado);?></td>
														<td width="10%"><?php echo $exrow->quant;?></td>
														<td width="30%"><?php echo moeda($exrow->valor);?></td>
													</tr>
												<?php   	endforeach;?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo $quantidade;?></strong></td>
														<td><strong><?php echo moeda($total);?></strong></td>
													</tr>
												<?php 	unset($exrow);
														endif;
												?>
												</tbody>
											</table>
											<table class="table table-bordered table-striped table-condensed table-advance">
												
												<thead>
													<tr class="disabled">
														<th colspan="3"><strong><?php echo lang('CAIXA_CONVENIO');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$quantidade_convenio = 0;
														$total_convenio = 0;
														$retorno_row = $faturamento->getResumoConvenioMes($mes, $id_empresa);
														if($retorno_row):
															foreach ($retorno_row as $exrow):
																$total_convenio += $exrow->valor;
																$quantidade_convenio += $exrow->quant;
												?>
													<tr>
														<td width="60%"><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
														<td width="10%"><?php echo $exrow->quant;?></td>
														<td width="30%"><?php echo moeda($exrow->valor);?></td>
													</tr>
												<?php   	endforeach;?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo $quantidade_convenio;?></strong></td>
														<td><strong><?php echo moeda($total_convenio);?></strong></td>
													</tr>
												<?php 	unset($exrow);
														endif;
												?>
												</tbody>
											</table>
										</td>		
										<td width="5%">										
										</td>					
										<td width="40%" valign="top">									
											<h4 class="form-section"><?php echo lang('CAIXA_MOVIMENTO');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
												<?php 	
														$total = 0;
														$total_dinheiro = 0;
														$retorno_row = $gestao->getCaixasTotalReceita($mes, $id_empresa);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
														$total += $exrow->valor_total;
														$total_dinheiro += ($exrow->id_tipo == 1) ? $exrow->valor_total : 0;
														$valor = moeda($exrow->valor_total);
												?>
													<tr>
														<td><?php echo ($exrow->tipo) ? $exrow->tipo : "-";?></td>
														<td><?php echo $valor;?></td>
													</tr>
												<?php   endforeach;?>
												<?php unset($exrow);
													  endif;
												?>
												<?php 	
														$total_retirada = $gestao->getCaixaTotalRetirada($mes, $id_empresa);
														if($total_retirada > 0) {
															$total_dinheiro -= $total_retirada;
														}
												?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total);?></strong></td>
													</tr>
													<tr>
														<td><?php echo lang('RETIRADAS_DIA');?></td>
														<td><?php echo " <span class='font-red'>- ".moeda($total_retirada)."</span>";?></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total-$total_retirada);?></strong></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_DINHEIRO');?></strong></td>
														<td><strong><?php echo moeda($total_dinheiro);?></strong></td>
													</tr>
												</tbody>
											</table>
											<?php 
													$quantidade_mensal = 0;
													$total_mensal = 0;
											?>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
													<?php 
															$quantidade_mensal += $quantidade_convenio;
															$total_mensal += $total_convenio;
													?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_CONVENIO');?></span></td>
														<td><?php echo $quantidade_convenio;?></td>
														<td><?php echo moeda($total_convenio);?></td>
													</tr>
													<?php 	$pago = $gestao->getAtendimentosMensalPago($mes, $id_empresa);
															$quantidade_mensal += $pago->quant;
															$total_mensal += $pago->valor;
													?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_PAGAS');?></span></td>
														<td><?php echo $pago->quant;?></td>
														<td><?php echo moeda($pago->valor);?></td>
													</tr>
													<?php 	$parcial = $gestao->getAtendimentosMensalPagoParcial($mes, $id_empresa);
															$quantidade_mensal += $parcial->quant;
															$total_mensal += $parcial->valor;?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_PARCIAL');?></span></td>
														<td><?php echo $parcial->quant;?></td>
														<td><?php echo moeda($parcial->valor);?></td>
													</tr>
													<?php $naopago = $gestao->getAtendimentosMensalNaoPago($mes, $id_empresa);?>
													<tr class="danger">
														<td><span><?php echo lang('CONSULTAS_NAOPAGAS');?></span></td>
														<td><?php echo $naopago->quant;?></td>
														<td><?php echo moeda($naopago->valor);?></td>
													</tr>
													<tr>
														<td width="50%"><strong><?php echo lang('TOTAL_CONSULTAS');?></strong></td>
														<td width="20%"><strong><?php echo $quantidade_mensal;?></strong></td>
														<td width="30%"><strong><?php echo moeda($total_mensal);?></strong></td>
													</tr>
												</tbody>
											</table>
										</td>	
									</tr>
								</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('ATENDIMENTOS_COLABORADOR');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('COLABORADOR');?></strong></th>
										<th><strong><?php echo lang('ATENDIMENTOS');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
										<th><strong><?php echo lang('VALOR_REPASSE');?></strong></th>
										<th><strong><?php echo lang('MARGEM');?></strong></th>
										<th><strong><?php echo lang('PARTICIPACAO');?></strong></th>
										<th><strong><?php echo lang('ACOES');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$quant = 0;
										$total_atendimentos = 0;
										$total_repasse = 0;
										$retorno_row = $gestao->getColaboradores($mes, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
										$quant += $exrow->quant;
										$total_atendimentos += $exrow->valor_tabela;
										$total_repasse += $exrow->valor_repasse;
										$valor_percentual = ($exrow->valor_tabela > 0) ? ($exrow->valor_tabela-$exrow->valor_repasse)/ $exrow->valor_tabela*100 : 0;
								?>
									<tr>
										<td><?php echo $exrow->nome;?></td>
										<td><?php echo $exrow->quant;?></td>
										<td><?php echo moeda($exrow->valor_tabela);?></td>
										<td><?php echo moeda($exrow->valor_repasse);?></td>
										<td><?php echo moeda($exrow->valor_tabela-$exrow->valor_repasse);?></td>
										<td><?php echo fpercentual($exrow->valor_tabela, $total_mensal);?></td>
										<td>
											<a href="javascript:void(0);" class="btn btn-sm grey-cascade" onclick="javascript:void window.open('ver_atendimento_colaborador.php?data=<?php echo $mes;?>&id_empresa=<?php echo $id_empresa;?>&id_medico=<?php echo $exrow->id_medico;?>','<?php echo lang('ATENDIMENTOS_COLABORADOR').' - '.$exrow->nome;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>"><i class="fa fa-search"></i></a>
										</td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo $quant;?></strong></td>
										<td><strong><?php echo moeda($total_atendimentos);?></strong></td>
										<td><strong><?php echo moeda($total_repasse);?></strong></td>
										<td>-</td>
										<td>-</td>
										<td>-</td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('ATENDIMENTOS_CONVENIO');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('CONVENIO');?></strong></th>
										<th><strong><?php echo lang('ATENDIMENTOS');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
										<th><strong><?php echo lang('VALOR_REPASSE');?></strong></th>
										<th><strong><?php echo lang('MARGEM');?></strong></th>
										<th><strong><?php echo lang('PARTICIPACAO');?></strong></th>
										<th><strong><?php echo lang('ACOES');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$quant = 0;
										$total_atendimentos = 0;
										$total_repasse = 0;
										$retorno_row = $gestao->getConvenios($mes, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
										$quant += $exrow->quant;
										$total_atendimentos += $exrow->valor_tabela;
										$total_repasse += $exrow->valor_repasse;
										$valor_percentual = ($exrow->valor_tabela > 0) ? ($exrow->valor_tabela-$exrow->valor_repasse)/ $exrow->valor_tabela*100 : 0;
								?>
									<tr>
										<td><?php echo ($exrow->id_convenio > 0) ? $exrow->nome : "PARTICULAR";?></td>
										<td><?php echo $exrow->quant;?></td>
										<td><?php echo moeda($exrow->valor_tabela);?></td>
										<td><?php echo moeda($exrow->valor_repasse);?></td>
										<td><?php echo moeda($exrow->valor_tabela-$exrow->valor_repasse);?></td>
										<td><?php echo fpercentual($exrow->valor_tabela, $total_mensal);?></td>
										<td>
											<a href="javascript:void(0);" class="btn btn-sm grey-cascade" onclick="javascript:void window.open('ver_atendimento_convenio.php?data=<?php echo $mes;?>&id_empresa=<?php echo $id_empresa;?>&id_convenio=<?php echo $exrow->id_convenio;?>','<?php echo lang('ATENDIMENTOS_CONVENIO').' - '.$exrow->nome;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>"><i class="fa fa-search"></i></a>
										</td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo $quant;?></strong></td>
										<td><strong><?php echo moeda($total_atendimentos);?></strong></td>
										<td><strong><?php echo moeda($total_repasse);?></strong></td>
										<td>-</td>
										<td>-</td>
										<td>-</td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('GESTAO_RECEITAS_DIA');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('DATA');?></strong></th>
										<th><strong><?php echo lang('RECEITAS');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$quant = 0;
										$total_receitas = 0;
										$valor_receita = '';
										$data_receita = '';
										$retorno_row = $gestao->getCaixasReceitaDia($mes, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
										$quant += $exrow->quant;
										$total_receitas += $exrow->valor_pago;
										if(strlen($data_receita) > 0) {
											$data_receita .= ",";
											$valor_receita .= ",";
										}
										$data_receita .= "'".$exrow->data."'";
										$valor_receita .= $exrow->valor_pago;
								?>
									<tr>
										<td><?php echo $exrow->data." - (".diasemana($exrow->data, true).")";?></td>
										<td><?php echo $exrow->quant;?></td>
										<td><?php echo moeda($exrow->valor_pago);?></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo $quant;?></strong></td>
										<td><strong><?php echo moeda($total_receitas);?></strong></td>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('ATENDIMENTOS_DIA');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('DATA');?></strong></th>
										<th><strong><?php echo lang('ATENDIMENTOS');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$quant = 0;
										$total_atendimentos = 0;
										$valor_pago = '';
										$data = '';
										$retorno_row = $gestao->getAtendimentosDia($mes, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
										$quant += $exrow->quant;
										$total_atendimentos += $exrow->valor_tabela;
										if(strlen($data) > 0) {
											$data .= ",";
											$valor_pago .= ",";
										}
										$data .= "'".$exrow->data."'";
										$valor_pago .= ($exrow->valor_tabela) ? $exrow->valor_tabela : 0;
								?>
									<tr>
										<td><?php echo $exrow->data." - (".diasemana($exrow->data, true).")";?></td>
										<td><?php echo $exrow->quant;?></td>
										<td><?php echo moeda($exrow->valor_tabela);?></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo $quant;?></strong></td>
										<td><strong><?php echo moeda($total_atendimentos);?></strong></td>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>	
<script type="text/javascript">
 $(document).ready(function(){
  var s1 = [<?php print $valor_pago;?>];
  var cat = [<?php print $data;?>];
		
  chart = new Highcharts.Chart({
            chart: {
                renderTo: 'chart5',
				marginTop: 20,
				marginLeft: 80,
                marginBottom: 200,
				zoomType: 'xy'
            },
			credits: {
				enabled: false
			},
            title: {
                text: '',
                x: 0, //center
				y: 10
            },
			xAxis: {
				categories: cat,
				labels: {
					rotation: -45,
					style: {
						fontSize: '10px',
						fontFamily: 'Verdana, sans-serif'
					}
				}
			},
            yAxis: {		
				title: {
                    text: null
                },
				labels: {
                    align: 'left',
                    x: -60,
                    y: -3,
                    formatter: function() {
                        return 'R$ ' + Highcharts.numberFormat(this.value, 2, ',', '.');
                    }
                }
            },
			lang: {
				downloadPNG: 'Download da imagem em PNG',
				downloadJPEG: 'Download da imagem em JPEG',
				downloadPDF: 'Download da imagem em PDF',
				downloadSVG: 'Download da imagem em SVG',
				exportButtonTitle: 'Exportar o traçado ou vetor da imagem',
				loading: 'Carregando...',
				months: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
				shortMonths: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
				printButtonTitle: 'Imprimir o gráfico',
				resetZoom: 'Retirar zoom',
				resetZoomTitle: 'Retirar zoom 1:1',
				weekdays: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado']
			},
            tooltip: {
                formatter: function() {
                        return '<b>'+ this.series.name +'</b><br/>'+
                        this.x +': R$ '+ Highcharts.numberFormat(this.y, 2, ',', '.');
                }
            },
            legend: {
                layout: 'horizontal',
                backgroundColor: '#FFFFFF',
                align: 'left',
                verticalAlign: 'top',
                x: 100,
                y: 10,
                floating: true,
                shadow: true
            },
            series: [{
                name: 'Atendimentos por dia',
				type: 'line',
                data: s1
            }]
        }); 
});
</script>
						<div class="portlet-body">	
							<div class="row">
								<div class="col-md-12">
									<div id="chart5" class="chart" style="height: 500px"></div>	
								</div>	
							</div>	
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->

<?php break;?>
<?php case "diario":
$id_empresa = (get('id_empresa')) ? get('id_empresa') : session('idempresa'); 
 ?>
<script src="./assets/scripts/highcharts.js" type="text/javascript"></script>
<script src="./assets/css/highcharts.css" type="text/css"></script>

<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#buscar').click(function() {
			var id_empresa = $("#id_empresa").val();
			var data_caixa = $("#data_caixa").val();
			window.location.href = 'index.php?do=caixa&acao=diario&data_caixa='+ data_caixa + '&id_empresa='+ id_empresa;
		});
		
		$('#id_empresa').click(function() {
			var id_empresa = $("#id_empresa").val();
			var data_caixa = $("#data_caixa").val();
			window.location.href = 'index.php?do=caixa&acao=diario&data_caixa='+ data_caixa + '&id_empresa='+ id_empresa;
		});
	});
	// ]]>
</script>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CAIXA_DIARIO');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-calendar font-<?php echo $core->primeira_cor;?>"></i>
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('CAIXA_DIARIO');?></span>
							</div>
							<div class="actions btn-set">
								<a href="javascript:void(0);" class="btn yellow-casablanca" onclick="javascript:void window.open('ver_diario.php?data_caixa=<?php echo $data_caixa;?>&id_empresa=<?php echo $id_empresa;?>','<?php echo $data_caixa;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('IMPRIMIR');?>"><i class="fa fa-print">&nbsp;&nbsp;</i><?php echo lang('IMPRIMIR');?></a>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me bs-select form-control input-large" id="id_empresa" name="id_empresa" data-placeholder="<?php echo lang('SELECIONE_EMPRESA');?>" >
											<option value=""></option>
											<?php 
												$retorno_row = $empresa->getEmpresas();
												if ($retorno_row):
													foreach ($retorno_row as $srow):
											?>
														<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_empresa) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
											<?php
													endforeach;
													unset($srow);
												endif;
											?>
										</select>
									&nbsp;&nbsp;
									<input type="text" class="form-control input-medium calendario data" name="data_caixa" id="data_caixa" value="<?php echo $data_caixa;?>" >
									&nbsp;&nbsp;
									<button type="button" id="buscar" class="btn <?php echo $core->primeira_cor;?>"><i class="fa fa-search"/></i> <?php echo lang('BUSCAR_DIA');?></button>
								</div>
							</form>
						</div>
						<div class="portlet-body">
								<table width="100%">
									<tr>							
										<td width="40%" valign="top">
											<h4 class="form-section"><?php echo lang('RESUMO');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<thead>
													<tr class="disabled">
														<th colspan="3"><strong><?php echo lang('CAIXA_ATENDIMENTO');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$quantidade_diario = 0;
														$total_diario = 0;
														$retorno_row = $gestao->getResumoAtendimentosDiario($data_caixa, $id_empresa);
														if($retorno_row):
															foreach ($retorno_row as $exrow):
																$total_diario += $exrow->valor;
																$quantidade_diario += $exrow->quant;
												?>
													<tr>
														<td width="60%"><?php echo statusAgendaPDF($exrow->realizado);?></td>
														<td width="10%"><?php echo $exrow->quant;?></td>
														<td width="30%"><?php echo moeda($exrow->valor);?></td>
													</tr>
												<?php   	endforeach;?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo $quantidade_diario;?></strong></td>
														<td><strong><?php echo moeda($total_diario);?></strong></td>
													</tr>
												<?php 	unset($exrow);
														endif;
												?>
												</tbody>
											</table>
											<table class="table table-bordered table-striped table-condensed table-advance">
												
												<thead>
													<tr class="disabled">
														<th colspan="3"><strong><?php echo lang('CAIXA_CONVENIO');?></strong></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
														$quantidade_convenio = 0;
														$total_convenio = 0;
														$retorno_row = $faturamento->getResumoConvenioData($data_caixa, $id_empresa);
														if($retorno_row):
															foreach ($retorno_row as $exrow):
																$total_convenio += $exrow->valor;
																$quantidade_convenio += $exrow->quant;
												?>
													<tr>
														<td width="60%"><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
														<td width="10%"><?php echo $exrow->quant;?></td>
														<td width="30%"><?php echo moeda($exrow->valor);?></td>
													</tr>
												<?php   	endforeach;?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo $quantidade_convenio;?></strong></td>
														<td><strong><?php echo moeda($total_convenio);?></strong></td>
													</tr>
												<?php 	unset($exrow);
														endif;
												?>
												</tbody>
											</table>
										</td>		
										<td width="5%">										
										</td>					
										<td width="40%" valign="top">									
											<h4 class="form-section"><?php echo lang('CAIXA_MOVIMENTO');?></h4>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
												<?php 	
														$valor_entrada = $faturamento->getCaixasEntradaReceita($data_caixa, $id_empresa);
												?>
													<tr>
														<td><strong><?php echo lang('CAIXA_ENTRADA');?></strong></td>
														<td><strong><?php echo moeda($valor_entrada);?></strong></td>
													</tr>
												<?php 	
														$total = 0;
														$dinheiro = 0;
														$total_dinheiro = 0;
														$retorno_row = $gestao->getCaixasTotalReceitaDiario($data_caixa, $id_empresa);
														if($retorno_row):
														foreach ($retorno_row as $exrow):
														$total += $exrow->valor_total;
														if($exrow->id_tipo == 1) {
															$total_dinheiro += $exrow->valor_total;
															$valor = moeda($exrow->valor_total-$valor_entrada);
														} else {
															$valor = moeda($exrow->valor_total);
														}
												?>
													<tr>
														<td width="70%"><?php echo ($exrow->tipo) ? $exrow->tipo : "-";?></td>
														<td width="30%"><?php echo $valor;?></td>
													</tr>
												<?php   endforeach;?>
												<?php unset($exrow);
													  endif;
												?>
												<?php 	
														$total_retirada = $gestao->getCaixaTotalRetiradaDiario($data_caixa, $id_empresa);
														if($total_retirada > 0) {
															$total_dinheiro -= $total_retirada;
														}
												?>
													<tr>
														<td><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total);?></strong></td>
													</tr>
													<tr>
														<td><?php echo lang('RETIRADAS_DIA');?></td>
														<td><?php echo " <span class='font-red'>- ".moeda($total_retirada)."</span>";?></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total-$total_retirada);?></strong></td>
													</tr>
													<tr>
														<td><strong><?php echo lang('CAIXA_DINHEIRO');?></strong></td>
														<td><strong><?php echo moeda($total_dinheiro);?></strong></td>
													</tr>
												</tbody>
											</table>
											<table class="table table-bordered table-striped table-condensed table-advance">
												<tbody>
													<tr>
														<td><span><?php echo lang('CONSULTAS_CONVENIO');?></span></td>
														<td><?php echo $quantidade_convenio;?></td>
														<td><?php echo moeda($total_convenio);?></td>
													</tr>
													<?php $pago = $gestao->getAtendimentosDiarioPago($data_caixa, $id_empresa);?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_PAGAS');?></span></td>
														<td><?php echo $pago->quant;?></td>
														<td><?php echo moeda($pago->valor);?></td>
													</tr>
													<?php $parcial = $gestao->getAtendimentosDiarioPagoParcial($data_caixa, $id_empresa);?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_PARCIAL');?></span></td>
														<td><?php echo $parcial->quant;?></td>
														<td><?php echo moeda($parcial->valor);?></td>
													</tr>
													<?php $naopago = $gestao->getAtendimentosDiarioNaoPago($data_caixa, $id_empresa);?>
													<tr>
														<td><span><?php echo lang('CONSULTAS_NAOPAGAS');?></span></td>
														<td><?php echo $naopago->quant;?></td>
														<td><?php echo moeda($naopago->valor);?></td>
													</tr>
													<tr>
														<td width="50%"><strong><?php echo lang('TOTAL_CONSULTAS');?></strong></td>
														<td width="20%"><strong><?php echo $quantidade_diario;?></strong></td>
														<td width="30%"><strong><?php echo moeda($total_diario);?></strong></td>
													</tr>
												</tbody>
											</table>
										</td>	
									</tr>
								</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('CAIXA_USUARIO');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('USUARIO');?></strong></th>
										<th><strong><?php echo lang('VALOR');?></strong></th>
										<th><strong><?php echo lang('CAIXA_RETIRADAS');?></strong></th>
										<th><strong><?php echo lang('TOTAL');?></strong></th>
										<th><strong><?php echo lang('ACOES');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total = 0;
										$retorno_row = $gestao->getCaixasUsuarioDiario($data_caixa, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
											$retirada_caixa = $gestao->getCaixaUsuarioRetirada($data_caixa, $exrow->usuario_caixa, $id_empresa);
											$total += $exrow->valor_total-$retirada_caixa;
								?>
									<tr>
										<td><?php echo strtoupper($exrow->usuario_caixa);?></td>
										<td><?php echo moeda($exrow->valor_total);?></td>
										<td><?php echo moeda($retirada_caixa);?></td>
										<td><?php echo moeda($exrow->valor_total-$retirada_caixa);?></td>
										<td><a href="javascript:void(0);" class="btn yellow-casablanca" onclick="javascript:void window.open('ver_dia.php?data=<?php echo $data_caixa;?>&usuario_caixa=<?php echo $exrow->usuario_caixa;?>','<?php echo $exrow->usuario_caixa;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=1,resizable=1,left=0,top=0');return false;" title="<?php echo lang('CAIXA_IMPRIMIR_DIA');?>"><i class="fa fa-print"></i></a></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td colspan="3"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo moeda($total);?></strong></td>
										<td></td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<br/>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('CAIXA_RETIRADAS_DIA');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><?php echo lang('FORNECEDOR');?></th>
										<th><?php echo lang('DESCRICAO');?></th>
										<th><?php echo lang('PLANO_CONTAS');?></th>
										<th><?php echo lang('VALOR');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total_retirada = 0;
										$retorno_row = $despesa->getCaixaListaRetirada($data_caixa, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
											$total_retirada += $exrow->valor;
								?>
									<tr>
										<td><?php echo $exrow->cadastro;?></td>
										<td><?php echo $exrow->descricao;?></td>
										<td><?php echo $exrow->conta;?></td>
										<td><?php echo moeda($exrow->valor);?></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td colspan="3"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo moeda($total_retirada);?></strong></td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<br/>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('CAIXA_CONVENIO');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('NOME');?></strong></th>
										<th><strong><?php echo lang('CONVENIO');?></strong></th>
										<th><strong><?php echo lang('MEDICO');?></strong></th>
										<th><strong><?php echo lang('PROCEDIMENTO');?></strong></th>
										<th><strong><?php echo lang('AGENDA');?></strong></th>
										<th><strong><?php echo lang('GUIA');?></strong></th>
										<th><strong><?php echo lang('USUARIO');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
										<th><strong><?php echo lang('STATUS');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$total = 0;
										$retorno_row = $faturamento->getCaixasConvenioData($data_caixa, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
											$status = 0;
											if($exrow->realizado == 1) {
												if($exrow->pago == 1 or $exrow->pago == 9) {
													$status = 1;
													if($exrow->guia > 0) {
														$class = 'class="info"';
														if(!$exrow->numero_guia) {
															$status = 12;
															$class = 'class="warning"';
														}
													}
												} else {
													$status = 11;
												}
											}elseif($exrow->realizado == 2) {
												$status = 2;
											}elseif($exrow->realizado == 6) {
												$status = 6;
											}elseif($exrow->retorno == 2) {
												$status = 10;
											}elseif($exrow->pago == 1) {
												$status = 4;
											}elseif($exrow->pago == 2) {
												$status = 5;
											}elseif($exrow->realizado == 3) {
												$status = 3;
											}
											if($exrow->realizado == 9) {
												$class = 'class="danger"';
												$status = 9;
												$valor_pago = 0;
											} else {
												$valor_pago = $exrow->valor_pago;
											}
											$total += $valor_pago;
								?>
									<tr>
										<td><?php echo $exrow->nome;?></td>
										<td><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
										<td><?php echo $exrow->medico;?></td>
										<td><?php echo $exrow->procedimento;?></td>
										<td><?php echo exibedata($exrow->data_agenda);?></td>
										<td><?php echo $exrow->numero_guia;?></td>
										<td><?php echo $exrow->usuario_guia;?></td>
										<td><?php echo decimal($valor_pago);?></td>
										<td><?php echo statusAgenda($status);?></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td colspan="7"><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo decimal($total);?></strong></td>
										<td></td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
						<div class="portlet-body">							
							<h4 class="form-section"><?php echo lang('ATENDIMENTOS_COLABORADOR');?></h4>
							<table class="table table-bordered table-condensed">
								<thead>
									<tr class="disabled">
										<th><strong><?php echo lang('COLABORADOR');?></strong></th>
										<th><strong><?php echo lang('ATENDIMENTOS');?></strong></th>
										<th><strong><?php echo lang('VALOR_PAGO');?></strong></th>
										<th><strong><?php echo lang('VALOR_REPASSE');?></strong></th>
										<th><strong><?php echo lang('MARGEM');?></strong></th>
										<th><strong><?php echo lang('PERCENTUAL');?></strong></th>
										<th><strong><?php echo lang('PARTICIPACAO');?></strong></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$quant = 0;
										$total_atendimentos = 0;
										$total_repasse = 0;
										$retorno_row = $gestao->getColaboradoresDiario($data_caixa, $id_empresa);
										if($retorno_row):
										foreach ($retorno_row as $exrow):
										$quant += $exrow->quant;
										$total_atendimentos += $exrow->valor_tabela;
										$total_repasse += $exrow->valor_repasse;
										$valor_percentual = ($exrow->valor_tabela > 0) ? ($exrow->valor_tabela-$exrow->valor_repasse)/ $exrow->valor_tabela*100 : 0;
								?>
									<tr>
										<td><?php echo $exrow->nome;?></td>
										<td><?php echo $exrow->quant;?></td>
										<td><?php echo moeda($exrow->valor_tabela);?></td>
										<td><?php echo moeda($exrow->valor_repasse);?></td>
										<td><?php echo moeda($exrow->valor_tabela-$exrow->valor_repasse);?></td>
										<td><?php echo fpercentual($exrow->valor_tabela-$exrow->valor_repasse, $exrow->valor_tabela);?></td>
										<td><?php echo fpercentual($exrow->valor_tabela, $total_diario);?></td>
									</tr>
								<?php   endforeach;?>
									<tr>
										<td><strong><?php echo lang('TOTAL');?></strong></td>
										<td><strong><?php echo $quant;?></strong></td>
										<td><strong><?php echo moeda($total_atendimentos);?></strong></td>
										<td><strong><?php echo moeda($total_repasse);?></strong></td>
										<td>-</td>
										<td>-</td>
										<td>-</td>
									</tr>
								<?php unset($exrow);
									  endif;
								?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->

<?php break;?>
<?php case "relatorioguias":
$id_convenio = get('id_convenio'); 
$id_empresa = get('id_empresa'); 
$nome_convenio = ($id_convenio) ? getValue('nome', 'cadastro', 'id='.$id_convenio) : "TODOS";
?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#id_empresa').click(function() {
			var id_empresa = $("#id_empresa").val();
			var id_convenio = $("#id_convenio").val();
			var dataini = $("#dataini").val();
			var datafim = $("#datafim").val();
			window.location.href = 'index.php?do=caixa&acao=relatorioguias&id_empresa='+ id_empresa + '&id_convenio='+ id_convenio;
		});
		$('#id_convenio').click(function() {
			var id_empresa = $("#id_empresa").val();
			var id_convenio = $("#id_convenio").val();
			var dataini = $("#dataini").val();
			var datafim = $("#datafim").val();
			window.location.href = 'index.php?do=caixa&acao=relatorioguias&id_empresa='+ id_empresa + '&id_convenio='+ id_convenio;
		});
	});
	// ]]>
</script>
<div id="guia-agenda" class="modal fade" role="dialog" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
				<h4 class="modal-title"><i class="fa fa-ban">&nbsp;&nbsp;</i><?php echo lang('AGENDA_GUIA');?></span></h4>
			</div>
			<form action="" autocomplete="off" method="post" name="guia_form" id="guia_form" class="form-horizontal">
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('PACIENTE');?></label>
									<div class="col-md-8">
										<input readonly type="text" class="form-control caps" id="nome_paciente">
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('NUMERO_GUIA');?></label>
									<div class="col-md-8">
										<input type="text" class="form-control caps" id="numero_guia" name="numero_guia">
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('AUTORIZACAO');?></label>
									<div class="col-md-8">
										<input type="text" class="form-control caps" id="autorizacao" name="autorizacao">
									</div>
								</div>
								<div class="form-group">
									<label class="control-label col-md-3"><?php echo lang('DATA_GUIA');?></label>
									<div class="col-md-8">
										<input type="text" class="form-control data calendario" id="data_guia" name="data_receber_guia">
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
					<button type="button" data-dismiss="modal" class="btn default"><?php echo lang('VOLTAR');?></button>
				</div>
			</form>
		</div>
	</div>
	<?php echo $core->doForm("processarGuiaAgenda", "guia_form");?>
</div>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CAIXA_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('ATENDIMENTOS_GUIAS');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">			
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-question-circle font-<?php echo $core->primeira_cor;?>"></i>
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('ATENDIMENTOS_GUIAS').' - '.$nome_convenio;?></span>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
									<div class="row">
										<div class="col-md-12">		
											<div class="note note-warning">
												<p><?php echo lang('AVISO_ATENDIMENTO_REALIZADOS');?></p>
											</div>
										</div>	
									</div>
								<div class="form-group">
									<select class="select2me bs-select form-control input-large" id="id_convenio" name="id_convenio" data-placeholder="<?php echo lang('SELECIONE_CONVENIO');?>" >
											<option value=""></option>
											<option value="-1" <?php if('-1' == $id_convenio) echo 'selected="selected"';?>>VALOR PADRAO (Particular)</option>
											<?php 
												$retorno_row = $cadastro->getConvenios();
												if ($retorno_row):
													foreach ($retorno_row as $srow):
											?>
														<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_convenio) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
											<?php
													endforeach;
													unset($srow);
												endif;
											?>
										</select>
									&nbsp;&nbsp;
									<select class="select2me bs-select form-control input-large" id="id_empresa" name="id_empresa" data-placeholder="<?php echo lang('SELECIONE_EMPRESA');?>" >
											<option value=""></option>
											<?php 
												$retorno_row = $empresa->getEmpresas();
												if ($retorno_row):
													foreach ($retorno_row as $srow):
											?>
														<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_empresa) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
											<?php
													endforeach;
													unset($srow);
												endif;
											?>
										</select>
								</div>
							</form>
						</div>
						<div class="portlet-body util-btn-margin-bottom-5">
							<!-- INICIO UTIL-BTN-MARGIN-BOTTOM-5-->
								<div class="row">							
									<div class="col-md-12 col-sm-12">										
										<div>
											<table class="table table-bordered table-striped table-condensed table-advance dataTable-asc ">
												<thead>
													<tr>
														<th>#</th>
														<th><?php echo lang('DATA');?></th>
														<th><?php echo lang('CLINICA');?></th>
														<th><?php echo lang('PACIENTE_TITULO');?></th>
														<th><?php echo lang('TELEFONE');?></th>
														<th><?php echo lang('CONVENIO');?></th>
														<th><?php echo lang('NUMERO');?></th>
														<th><?php echo lang('PROCEDIMENTO');?></th>
														<th width="70px"><?php echo lang('VALOR');?></th>
														<th width="120px"><?php echo lang('ACOES');?></th>
													</tr>
												</thead>
												<tbody>
												<?php 	
													$total_valor = 0;
													$total_repasse = 0;
													$retorno_row = $atendimento->getListaGuiasPendentes($id_convenio, $id_empresa);
													if($retorno_row):
														foreach ($retorno_row as $exrow):
															$valor_pago = $exrow->valor_tabela;
															$total_valor += $valor_pago;
												?>
													<tr>
														<td><?php echo $exrow->controle;?></td>
														<td><?php echo exibedata($exrow->data_agenda);?></td>
														<td><?php echo $exrow->clinica;?></td>
														<td><a target="_blank" href="index.php?do=paciente&acao=guias&id=<?php echo $exrow->id_paciente;?>"><?php echo $exrow->paciente;?></a></td>
														<td><?php echo $exrow->celular.' '.$exrow->telefone;?></td>
														<td><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
														<td><?php echo $exrow->numero;?></td>
														<td><?php echo $exrow->procedimento;?></td>
														<td><?php echo moeda($exrow->valor_tabela);?></td>								
														<td>
															<a href="javascript:void(0);" onclick="javascript:void window.open('ver_atendimento.php?id=<?php echo $exrow->id;?>','<?php echo lang('VISUALIZAR').$exrow->id;?>','width=800,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('VISUALIZAR');?>" class="btn btn-icon-only grey-cascade"><i class="fa fa-search"></i></a>
															<a href="javascript:void(0);" class="btn btn-icon-only yellow-crusta guiaagenda" id="<?php echo $exrow->id;?>" nome_paciente="<?php echo $exrow->paciente;?>" data_receber_guia="<?php echo exibedata($exrow->data_receber_guia);?>" autorizacao="<?php echo $exrow->autorizacao;?>"  numero_guia="<?php echo $exrow->numero_guia;?>" title="<?php echo lang('AGENDA_GUIA').': '.$exrow->procedimento;?>"><i class="fa fa-google"></i></a>
															<a target="_blank" href="index.php?do=paciente&acao=guias&id=<?php echo $exrow->id_paciente;?>" class="btn btn-icon-only <?php echo $core->primeira_cor;?>" title="<?php echo lang('GUIAS').': '.$exrow->paciente;?>"><i class="fa fa-share"></i></a>
														</td>
													</tr>
												<?php 
														endforeach;?>
												</tbody>
												<tfoot>
													<tr>
														<td colspan="8"><strong><?php echo lang('TOTAL');?></strong></td>
														<td><strong><?php echo moeda($total_valor);?></strong></td>
														<td></td>
													</tr>
												</tfoot>
												<?php unset($exrow);
													  endif;?>
											</table>
										</div>
									</div>
								</div>
							<!-- FINAL UTIL-BTN-MARGIN-BOTTOM-5-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php default: ?>
<div class="imagem-fundo">
	<img src="assets/img/bg-white.png" border="0">
</div>
<?php break;?>
<?php endswitch;?>