<?php
  /**
   * Convnio
   *
   * @package Sistemas Divulgao Online
   * @author Geandro Bessa
   * @copyright 2013
   * @version 2
   */
  if (!defined("_VALID_PHP"))
      die('Acesso direto a esta classe no  permitido.');
  if (!$usuario->is_Todos())
	  redirect_to("login.php");
?>
<?php switch(Filter::$acao): case "editar": ?>
<?php $row = Core::getRowById("servico_convenio", Filter::$id);?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CONVENIO_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CONVENIO_EDITAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">		
					<div class="portlet box <?php echo $core->primeira_cor;?>">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-edit">&nbsp;&nbsp;</i><?php echo lang('CONVENIO_EDITAR');?>
							</div>
						</div>;
						<div class="portlet-body form">
							<!-- INICIO FORM-->
							<form action="" autocomplete="off" method="post" class="form-horizontal" name="admin_form" id="admin_form">
								<div class="form-body">
									<div class="row">
										<div class="col-md-12">
											<!--col-md-6-->
											<div class="col-md-6">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('DESCRICAO');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control caps" name="descricao" value="<?php echo $row->descricao;?>">
														</div>
													</div>
												</div>												
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('TABELA_TUSS');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_tabela" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $servico->getTabelaTUSS();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>" <?php if($srow->id == $row->id_tabela) echo 'selected="selected"';?>><?php echo $srow->procedimento;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('CONVENIO');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_cadastro" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $servico->getCadastrosConvenio('1,2');
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>" <?php if($srow->id == $row->id_cadastro) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class="col-md-6">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('VALOR_PACIENTE');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control moeda" name="valor" value="<?php echo moeda($row->valor);?>">
														</div>
													</div>
												</div>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('VALOR_REPASSE');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control moeda" name="valor_repasse" value="<?php echo moeda($row->valor_repasse);?>">
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<input name="id" type="hidden" value="<?php echo Filter::$id;?>" />
								<div class="form-actions">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-6">
												<div class="row">
													<div class="col-md-offset-3 col-md-9">
														<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
														<button type="button" id="voltar" class="btn default"><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class="col-md-6">
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm("processarServicoConvenio");?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "adicionar": 
?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CONVENIO_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CONVENIO_ADICIONAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">		
					<div class="portlet box <?php echo $core->primeira_cor;?>">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-plus-square">&nbsp;&nbsp;</i><?php echo lang('CONVENIO_ADICIONAR');?>
							</div>
						</div>;
						<div class="portlet-body form">
							<!-- INICIO FORM-->
							<form action="" autocomplete="off" method="post" class="form-horizontal" name="admin_form" id="admin_form">
								<div class="form-body">
									<div class="row">
										<div class="col-md-12">
											<!--col-md-6-->
											<div class="col-md-6">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('DESCRICAO');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control caps" name="descricao">
														</div>
													</div>
												</div>								
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('TABELA_TUSS');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_tabela" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $servico->getTabelaTUSS();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>" ><?php echo $srow->procedimento;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('CONVENIO');?></label>
														<div class="col-md-9">
															<select class="select2me form-control" name="id_cadastro" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
																<option value=""></option>
																<?php 
																	$retorno_row = $servico->getCadastrosConvenio('1,2');
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>"><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																		endif;
																?>
															</select>
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
											<!--col-md-6-->
											<div class="col-md-6">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('VALOR_PACIENTE');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control moeda" name="valor">
														</div>
													</div>
												</div>
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-3"><?php echo lang('VALOR_REPASSE');?></label>
														<div class="col-md-9">
															<input type="text" class="form-control moeda" name="valor_repasse">
														</div>
													</div>
												</div>
											</div>
											<!--/col-md-6-->
										</div>
									</div>
								</div>
								<div class="form-actions">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-6">
												<div class="row">
													<div class="col-md-offset-3 col-md-9">
														<button type="button" class="btn btn-submit <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
														<button type="button" id="voltar" class="btn default"><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
											<div class="col-md-6">
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm("processarServicoConvenio");?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "listar": 
$id_cadastro = get('id_cadastro'); 
$id_especialidade = get('id_especialidade'); 
?>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#id_cadastro').click(function() {
			var id_cadastro = $("#id_cadastro").val();
			var id_especialidade = $("#id_especialidade").val();
			window.location.href = 'index.php?do=convenio&acao=listar&id_especialidade='+id_especialidade+'&id_cadastro='+id_cadastro;
		});
	});
	// ]]>
</script>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		$('#id_especialidade').click(function() {
			var id_cadastro = $("#id_cadastro").val();
			var id_especialidade = $("#id_especialidade").val();
			window.location.href = 'index.php?do=convenio&acao=listar&id_especialidade='+id_especialidade+'&id_cadastro='+id_cadastro;
		});
	});
	// ]]>
</script>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('CONVENIO_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('CONVENIO_LISTAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-list-alt font-<?php echo $core->primeira_cor;?>"></i>								
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('CONVENIO_LISTAR');?></span>
							</div>
							<div class="actions btn-set">
								<a href="index.php?do=convenio&acao=adicionar" class="btn btn-sm <?php echo $core->primeira_cor;?>"><i class="fa fa-plus-square">&nbsp;&nbsp;</i><?php echo lang('ADICIONAR');?></a>
							</div>
						</div>
						<div class="portlet-body">
							<form class="form-inline">
								<div class="form-group">
									<select class="select2me form-control input-large" name="id_cadastro" id="id_cadastro" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value="">TODOS CONVENIOS</option>
										<?php 
											$retorno_row = $servico->getCadastrosConvenio('1,2');
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_cadastro) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
										<?php
												endforeach;
											unset($srow);
											endif;
										?>
									</select>
								</div>
								<div class="form-group">
									<select class="select2me form-control input-large" name="id_especialidade" id="id_especialidade" data-placeholder="<?php echo lang('SELECIONE_OPCAO');?>" >
										<option value="">TODAS ESPECIALIDADES</option>
										<?php 
											$retorno_row = $cadastro->getEspecialidades();
											if ($retorno_row):
												foreach ($retorno_row as $srow):
										?>
													<option value="<?php echo $srow->id;?>" <?php if($srow->id == $id_especialidade) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
										<?php
												endforeach;
											unset($srow);
											endif;
										?>
									</select>
								</div>
							</form>
						</div>
						<div class="portlet-body">
							<table class="table table-bordered table-striped table-condensed table-advance dataTable">
								<thead>
									<tr>
										<th><?php echo lang('CODIGO');?></th>
										<th><?php echo lang('DESCRICAO');?></th>
										<th><?php echo lang('PROCEDIMENTO');?></th>
										<th><?php echo lang('ESPECIALIDADE');?></th>
										<th><?php echo lang('CONVENIO');?></th>
										<th><?php echo lang('VALOR_PACIENTE');?></th>
										<th><?php echo lang('VALOR_REPASSE');?></th>
										<th style="width: 210px"><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
									$retorno_row = $servico->getServicosConvenio($id_cadastro, $id_especialidade);
									if($retorno_row):
										foreach ($retorno_row as $exrow):
								?>
									<tr>
										<td><?php echo $exrow->codigo;?></td>
										<td><a href="index.php?do=convenio&acao=editar&id=<?php echo $exrow->id;?>"><?php echo $exrow->descricao;?></a></td>
										<td><?php echo $exrow->tuss;?></td>
										<td><?php echo $exrow->especialidade;?></td>
										<td><?php echo ($exrow->convenio) ? $exrow->convenio : "PARTICULAR";?></td>
										<td><?php echo moeda($exrow->valor);?></td>
										<td><?php echo moeda($exrow->valor_repasse);?></td>
										<td>
											<a href="index.php?do=convenio&acao=editar&id=<?php echo $exrow->id;?>" class="btn btn-sm blue" title="<?php echo lang('EDITAR').': '.$exrow->descricao;?>"><i class="fa fa-pencil"></i></a>
											<a href="javascript:void(0);" class="btn btn-sm red apagar" id="<?php echo $exrow->id;?>" acao="apagarServico" title="<?php echo lang('APAGAR').$exrow->descricao;?>"><i class="fa fa-times"></i></a>
										</td>
									</tr>
								<?php endforeach;?>
								<?php unset($exrow);
									  endif;?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php default: ?>
<div class="imagem-fundo">
	<img src="assets/img/bg-white.png" border="0">
</div>
<?php break;?>
<?php endswitch;?>