<?php
 /**
   * PDF - Impressao_Recibo
   *
   * @package Sistemas Divulgao Online
   * @author Geandro Bessa
   * @copyleft 2013
   * @version 2
   */
	require_once('fpdf/pdf_js.php');
  
	class PDF_Impressao_Recibo extends PDF_JavaScript
	{	
		function AutoPrint($dialog=false)
		{
			//Open the print dialog or start printing immediately on the standard printer
			$param=($dialog ? 'true' : 'false');
			$script="print($param);";
			$this->IncludeJS($script);
		}

		function AutoPrintToPrinter($server, $printer, $dialog=false)
		{
			//Print on a shared printer (requires at least Acrobat 6)
			$script = "var pp = getPrintParams();";
			if($dialog)
				$script .= "pp.interactive = pp.constants.interactionLevel.full;";
			else
				$script .= "pp.interactive = pp.constants.interactionLevel.automatic;";
			$script .= "pp.printerName = '\\\\\\\\".$server."\\\\".$printer."';";
			$script .= "print(pp);";
			$this->IncludeJS($script);
		}
	}
?>
