<?php
  /**
   * PDF Medico
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   */
   
  define("_VALID_PHP", true);
  
	require_once("impressao_tcpdf.php");
	require_once("init.php");
	
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	  
	$dataini = (get('dataini')) ? get('dataini') : date('01/m/Y'); 
	$datafim = (get('datafim')) ? get('datafim') : date('31/m/Y'); 
	$retorno_row = $atendimento->getMedicoPeriodo($dataini, $datafim);
	$pdf = new Impressao_PDF();
	$pdf->Titulo(lang('CAIXA_MEDICO'));
	$pdf->SubTitulo(lang('PERIODO').": ".$dataini." - ".$datafim);
	$pdf->HeaderPDF();

	$pdf->SetFont('helvetica', '', 10, '', false);
	$pdf->AddPage();
			
	ob_start();
		require(BASEPATH . 'pdf_medico_html.php');
		$pdf_html = ob_get_contents();
	ob_end_clean();
	$pdf->writeHTMLSyle($pdf_html);
			
	$pdf->Output("medico.pdf", "I");

?>