<?php
  /**
   * PDF HTML Medico
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   *
   * LARGURA PADRÃO - RETRATO (P) - EM px: 638px
   * LARGURA PADRÃO - PAISAGEM (L) - EM px: 946px
   */
	
?>

<table class="tabela">
	<thead>
		<tr>
			<th width="178x"><?php echo lang('MEDICO');?></th>
			<th width="60px"><?php echo lang('CPF');?></th>
			<th width="60px"><?php echo lang('BANCO');?></th>
			<th width="60px"><?php echo lang('CODIGO');?></th>
			<th width="60px"><?php echo lang('AGENCIA');?></th>
			<th width="60px"><?php echo lang('CONTA');?></th>
			<th width="80px"><?php echo lang('ATENDIMENTOS');?></th>
			<th width="80px"><?php echo lang('VALOR_REPASSE');?></th>
		</tr>
	</thead>
	<tbody>
		<?php 
			$valor_repasse = 0;
			$quant = 0;
			if($retorno_row):
				foreach ($retorno_row as $exrow):
					$valor_repasse += $exrow->valor_repasse;
					$quant += $exrow->quant;
		?>
			<tr>
				<td width="178x"><?php echo $exrow->medico;?></td>
				<td width="60px"><?php echo formatar_cpf_cnpj($exrow->cpf);?></td>
				<td width="60px"><?php echo $exrow->banco;?></td>
				<td width="60px"><?php echo $exrow->codigo;?></td>
				<td width="60px"><?php echo $exrow->agencia;?></td>
				<td width="60px"><?php echo $exrow->conta;?></td>
				<td width="80px"><?php echo $exrow->quant;?></td>
				<td width="80px"><?php echo moeda($exrow->valor_repasse);?></td>
			</tr>
		<?php 	endforeach;?>
			<tr>
				<td width="438px"><strong><?php echo lang('TOTAL');?></strong></td>
				<td width="100px"><strong><?php echo $quant;?></strong></td>
				<td width="100px"><strong><?php echo moeda($valor_repasse);?></strong></td>
			</tr>
		<?php unset($exrow);
			  endif;?>
	</tbody>
</table>