<?php
  /**
   * PDF HTML Documento
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   *
   * LARGURA PADRÃO - RETRATO (P) - EM px: 638px
   * LARGURA PADRÃO - PAISAGEM (L) - EM px: 946px
   */
	
?>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo $titulo;?></td>
	</tr>
	<tr>            
		<td width="138px"><small><?php echo lang('DATA_RISCO');?></small><br><?php echo exibedata($row->data_risco);?></td>
		<td width="300px"><small><?php echo lang('NOME');?></small><br><?php echo $row_paciente->nome;?></td>
		<td width="200px"><small><?php echo lang('CPF');?></small><br><?php echo formatar_cpf_cnpj($row_paciente->cpf);?></td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('ANAMNESE');?></td>
	</tr>
	<tr>
		<td width="638px"><small><?php echo lang('HMA');?></small><br><?php echo $row->hma;?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('QUEIXAS_CARDIOLOGICAS');?></small><br><?php echo $row->queixas_cardiologicas;?></td>
		<td width="319px"><small><?php echo lang('HPPREGRESSA');?></small><br><?php echo $row->hppregressa;?></td>
	</tr>
	<tr>
		<td width="160px"><small><?php echo lang('CARDIOPATIA');?></small><br><?php echo $row->cardiopatia;?></td>
		<td width="160px"><small><?php echo lang('SEDENTARISMO');?></small><br><?php echo $row->sedentarismo;?></td>
		<td width="160px"><small><?php echo lang('HIPERTENSAO');?></small><br><?php echo $row->hipertensao;?></td>
		<td width="158px"><small><?php echo lang('INTERNACOES');?></small><br><?php echo $row->internacoes;?></td>
	</tr>
	<tr>
		<td width="160px"><small><?php echo lang('DISCRASIA');?></small><br><?php echo $row->discrasia;?></td>
		<td width="160px"><small><?php echo lang('ALERGIA');?></small><br><?php echo $row->alergia;?></td>
		<td width="160px"><small><?php echo lang('PATOLOGIA');?></small><br><?php echo $row->patologia;?></td>
		<td width="158px"><small><?php echo lang('ALCOOLISMO');?></small><br><?php echo $row->alcoolismo;?></td>
	</tr>
	<tr>
		<td width="160px"><small><?php echo lang('DIABETES');?></small><br><?php echo $row->diabetes;?></td>
		<td width="160px"><small><?php echo lang('TABAGISMO');?></small><br><?php echo $row->tabagismo;?></td>
		<td width="160px"><small><?php echo lang('HEPATOPATIAS');?></small><br><?php echo $row->hepatopatias;?></td>
		<td width="158px"><small><?php echo lang('MEDICACAO');?></small><br><?php echo $row->medicacao;?></td>
	</tr>
	<tr>
		<td width="160px"><small><?php echo lang('CIRURGIAS');?></small><br><?php echo $row->cirurgias;?></td>
		<td width="160px"><small><?php echo lang('DROGAS');?></small><br><?php echo $row->drogas;?></td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('EXAME_OBJETIVO');?></td>
	</tr>
	<tr>
		<td width="160px"><small><?php echo lang('DADOS_VITAIS');?></small><br><?php echo $row->dados_vitais;?></td>
		<td width="160px"><small><?php echo lang('PESO');?></small><br><?php echo $row->peso;?></td>
		<td width="160px"><small><?php echo lang('ALTURA');?></small><br><?php echo $row->altura;?></td>
		<td width="158px"><small><?php echo lang('PA');?></small><br><?php echo $row->pa;?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('ECTOSCOPIA');?></small><br><?php echo $row->ectoscopia;?></td>
		<td width="319px"><small><?php echo lang('TIREOIDE');?></small><br><?php echo $row->tireoide;?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('PERIFERICOS');?></small><br><?php echo $row->perifericos;?></td>
		<td width="319px"><small><?php echo lang('DIGESTIVO');?></small><br><?php echo $row->digestivo;?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('RESPIRATORIO');?></small><br><?php echo $row->respiratorio;?></td>
		<td width="319px"><small><?php echo lang('CARDIOVASCULAR');?></small><br><?php echo $row->cardiovascular;?></td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('EXAMES_M');?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('NORMAIS');?></small><br><?php echo $row->normais;?></td>
		<td width="319px"><small><?php echo lang('ANORMAIS');?></small><br><?php echo $row->anormais;?></td>
	</tr>
	<tr>
		<td width="319px"><small><?php echo lang('ECG');?></small><br><?php echo $row->ecg;?></td>
		<td width="319px"><small><?php echo lang('RX');?></small><br><?php echo $row->rx;?></td>
	</tr>
</table>
<?php if($row->conclusao):?>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('CONCLUSAO');?></td>
	</tr>
	<tr>
		<td width="638px"><?php echo $row->conclusao; ?></td>
	</tr>
</table>
<?php endif;?>
<table class="tabela-noborder">
	<tr>
		<td width="638px">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>
		<td width="638px"><span class="assinatura_contrato">____________________________________________________<br/><br/><?php echo $nome;?></span></td>
	</tr>
</table>