<?php
  /**
   * PDF HTML Recibo
   *
   * @package SIGE - Sistemas de Gestão
   * @author Geandro Bessa
   * @copyleft 2019
   * @version 1
   *
   * LARGURA PADRÃO - RETRATO (P) - EM px: 638px
   * LARGURA PADRÃO - PAISAGEM (L) - EM px: 946px
   */  
	
?>
<table class="tabela-noborder">
	<tr>
		<td width="638px" class="titulo"><?php echo $titulo;?></td>
	</tr>
	<tr>
		<td width="638px" colspan="4">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('INFORMACOES_ATENDIMENTO');?></td>
	</tr>
	<tr>
		<td width="150px"><small><?php echo lang('CODIGO');?></small><br><?php echo $id_atendimento;?></td>
		<td width="300px"><small><?php echo lang('PROCEDIMENTO');?></small><br><?php echo $procedimento;?></td>
		<td width="188px"><small><?php echo lang('DATA_ATENDIMENTO');?></small><br><?php echo exibedata($data_agenda);?></td>
	</tr>
	<tr>
		<td width="150px"><small><?php echo lang('REGISTRO_PROF');?></small><br><?php echo $row_medico->crm;?></td>
		<td width="300px"><small><?php echo lang('PROFISSIONAL');?></small><br><?php echo $row_medico->nome;?></td>
		<td width="188px"><small><?php echo lang('CONVENIO');?></small><br><?php echo $nome_convenio;?></td>
	</tr>
	<tr>
		<td width="150px"><small><?php echo lang('VALOR_PAGO');?></small><br><?php echo $valor_pago;?></td>
		<td width="300px"><small><?php echo lang('PAGAMENTO_FORMA');?></small><br><?php echo $tipopagamento;?></td>
		<td width="188px"><small><?php echo lang('DATA_PAGAMENTO');?></small><br><?php echo $data_pagamento;?></td>
	</tr>
	<tr>            
		<td width="638px" colspan="4">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>            
		<td class="destaque centro" width="638px"><?php echo lang('INFORMACOES_PACIENTE');?></td>
	</tr>
	<?php if($row_paciente->cpf_responsavel):?>
	<tr>
		<td width="450px"><small><?php echo lang('RESPONSAVEL');?></small><br><?php echo $row_paciente->responsavel;?></td>
		<td width="188px"><small><?php echo lang('CPF_RESPONSAVEL');?></small><br><?php echo formatar_cpf_cnpj($row_paciente->cpf_responsavel);?></td>
	</tr>
	<?php endif;?>
	<tr>
		<td width="450px"><small><?php echo lang('NOME');?></small><br><?php echo $row_paciente->nome;?></td>
		<td width="188px"><small><?php echo lang('CPF');?></small><br><?php echo formatar_cpf_cnpj($row_paciente->cpf);?></td>
	</tr>
	<tr>
		<td width="450px"><small><?php echo lang('DATA_NASC');?></small><br><?php echo exibedata($row_paciente->data_nasc);?></td>
		<td width="188px"><small><?php echo lang('IDADE');?></small><br><?php echo idade($row_paciente->data_nasc);?></td>
	</tr>
	<tr>
		<td width="638px" colspan="4">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>
		<td width="638px">&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td width="638px">&nbsp;&nbsp;</td>
	</tr>
	<tr>
		<td width="638px">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>
		<td width="100px">&nbsp;&nbsp;</td>
		<td width="438px"><span class="assinatura_contrato">____________________________________________________<br/><br/><?php echo $assinatura_nome;?><br/><?php echo $assinatura_cpf_cnpj;?></span></td>
		<td width="100px">&nbsp;&nbsp;</td>
	</tr>
</table>
<table class="tabela-noborder">
	<tr>
		<td width="638px"><em><?php echo lang('MARCADO_POR');?>:&nbsp;&nbsp;<?php echo $atendente;?></em><br>#<?php echo $id_atendimento;?></td>
	</tr>
</table>