<?php
  /**
   * Visualizar Atendimento Colaborador
   *
   * @package Sistemas Divulgação Online
   * @author Geandro Bessa
   * @copyleft 2013
   * @version 2
   */
  define("_VALID_PHP", true);
  
	require_once("init.php");
	if (!$usuario->is_Todos())
	  redirect_to("login.php");
	  
	$data = get('data');
	$id_medico = get('id_medico');
	$id_empresa = get('id_empresa');
	$nome = getValue("nome","usuario","id = ".$id_medico);
	
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="pt-BR" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="pt-BR" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="pt-BR">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>

<!-- Meta -->
<meta charset="utf-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta content="width=device-width, initial-scale=1.0" name="viewport"/>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="description" content="SIGE - Sistemas de Gestão - VOCÊ NO CONTROLE DA SUA EMPRESA, em qualquer lugar... a qualquer momento!"/>
<meta name="keywords" content="geandro bessa, divulgação online, divulgação, sistemas web, aplicativos, mobile, aplicativos vale do aço, aplicativos ipatinga, sistemas de gestão, sistemas web ipatinga, sistemas ipatinga, sistemas vale do aço, sites ipatinga, sites vale do aço, SIGE, TELECOM, sige, telecom" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="author" content="Geandro Bessa"/>

<!-- Title -->
<title><?php echo $core->empresa;?></title>

<!-- Favicons -->
<link rel="shortcut icon" href="./assets/img/favicon.png">
<link rel="apple-touch-icon" href="./assets/img/favicon_60x60.png">
<link rel="apple-touch-icon" sizes="76x76" href="./assets/img/favicon_76x76.png">
<link rel="apple-touch-icon" sizes="120x120" href="./assets/img/favicon_120x120.png">
<link rel="apple-touch-icon" sizes="152x152" href="./assets/img/favicon_152x152.png">

<!-- BEGIN GLOBAL MANDATORY STYLES -->
<link href="./assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css">
<link href="./assets/plugins/select2/select2.css" rel="stylesheet" type="text/css" />
<!-- END GLOBAL MANDATORY STYLES -->
<!-- BEGIN PAGE LEVEL STYLES -->
<link href="assets/css/profile.css" rel="stylesheet" type="text/css"/>
<link href="assets/css/tasks.css" rel="stylesheet" type="text/css"/>
<!-- END PAGE LEVEL SCRIPTS -->
<!-- BEGIN THEME STYLES -->
<link href="./assets/css/components-rounded.css" id="style_components" rel="stylesheet" type="text/css">
<link href="./assets/css/plugins.css" rel="stylesheet" type="text/css">
<link href="./assets/css/layout.css" rel="stylesheet" type="text/css">
<link href="./assets/css/themes/default.css" rel="stylesheet" type="text/css">
<link href="./assets/css/custom.css" rel="stylesheet" type="text/css">

<link rel="stylesheet" type="text/css" href="./assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/bootstrap-datepicker/css/datepicker3.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/extensions/Scroller/css/dataTables.scroller.min.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/extensions/ColReorder/css/dataTables.colReorder.min.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/datatables/plugins/bootstrap/dataTables.bootstrap.css"/>
<link rel="stylesheet" type="text/css" href="./assets/plugins/typeahead/typeahead.css">
<link rel="stylesheet" type="text/css" href="./assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css"/>

<!-- END THEME STYLES -->

<script src="./assets/plugins/jquery.min.js" type="text/javascript"></script>
<script src="./assets/scripts/jquery.mask.js" type="text/javascript"></script>
<script src="./assets/scripts/jquery.maskMoney.js" type="text/javascript"></script>
<script src="./assets/scripts/shortcut.js" type="text/javascript"></script>

<!-- dataTables -->
<script src="./assets/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./assets/plugins/datatables/dataTables.select.min.js"></script>
<script src="./assets/plugins/datatables/dataTables.buttons.min.js"></script>
<script src="./assets/plugins/datatables/buttons.flash.min.js"></script>
<script src="./assets/plugins/datatables/jszip.min.js"></script>
<script src="./assets/plugins/datatables/pdfmake.min.js"></script>
<script src="./assets/plugins/datatables/vfs_fonts.js"></script>
<script src="./assets/plugins/datatables/buttons.html5.min.js"></script>
<script src="./assets/plugins/datatables/buttons.print.min.js"></script>

<!--[if lt IE 9]>
<script src="./assets/plugins/respond.min.js"></script>
<script src="./assets/plugins/excanvas.min.js"></script> 
<![endif]-->
<!-- IMPORTANT! Load jquery-ui.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="./assets/plugins/jquery-ui/jquery-ui.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js" type="text/javascript"></script>
<script src="./assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="./assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="./assets/plugins/jquery.cokie.min.js" type="text/javascript"></script>
<script src="./assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<script src="./assets/plugins/typeahead/handlebars.min.js" type="text/javascript"></script>
<script src="./assets/plugins/typeahead/typeahead.bundle.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script src="./assets/plugins/select2/select2.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootstrap-growl/jquery.bootstrap-growl.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootbox/bootbox.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js" type="text/javascript" ></script>
<script src="./assets/plugins/bootstrap-datepicker/js/locales/bootstrap-datepicker.pt-BR.js" type="text/javascript" ></script>
<script src="./assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
<script src="./assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js" type="text/javascript"></script>

<!-- END PAGE LEVEL PLUGINS -->
</head>
<script Language="JavaScript">
	function Imprimir(){
	window.print();
	window.close();
	}
</Script>
<script type="text/javascript"> 
	// <![CDATA[ 
	$(document).ready(function () {	
		if($('.dataTable').length > 0){
			$('.dataTable').DataTable({
				dom: 'Bfrtip',
				buttons: [
					'copy', 'csv', 'excel', 'pdf', 'print'
				],
				"paging": false,
				"language":{
					"sSearch": "<span>Buscar:</span> ",
					"sInfo": "Mostrando de <span>_START_</span> até <span>_END_</span> de <span>_TOTAL_</span> registros",
					"sLengthMenu": "_MENU_ <span>registros por página</span>",
					"sProcessing":   "Processando...",
					"sZeroRecords":  "Não foram encontrados resultados",
					"sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
					"sInfoFiltered": "(filtrado de _MAX_ registros no total)",
					"sInfoPostFix":  "",
					"sDecimal": ",",
					"oPaginate": {
						"sFirst":    "Primeiro",
						"sPrevious": "Anterior",
						"sNext":     "Seguinte",
						"sLast":     "Último"
					}
				}
			});
		};
	});
	// ]]>
</script>
<style type="text/css">
    @media print {
      .noprint { display: none; margin: 30px;}
	  .quebra_pagina {page-break-after:always;}
    }
</style>
<body>
<div class="page-container">
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<div class="row">
					<div class="col-md-12">			
						<div class="portlet light">
							<div class='portlet-title'>
								<div class="caption">							
									<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('ATENDIMENTOS_COLABORADOR')." - ".$nome." - ".exibeMesAno($data, true, true);?></span>
								</div>
								<div class='actions noprint'>								
									<a class="btn yellow-casablanca hidden-print margin-bottom-5" onclick="javascript:Imprimir();">
									<?php echo lang('IMPRIMIR');?>&nbsp;&nbsp;<i class="fa fa-print"></i>
									</a>
								</div>
							</div>
							<div class="portlet-body">
								<table width="100%">
									<tr>
										<td>
											<table class="table table-bordered table-striped table-advance table-condensed dataTable">
												<thead>
													<tr>
														<th><?php echo lang('DATA');?></th>
														<th><?php echo lang('PACIENTE');?></th>
														<th><?php echo lang('CONVENIO');?></th>
														<th><?php echo lang('PROCEDIMENTO');?></th>
														<th><?php echo lang('PAGO');?></th>
														<th><?php echo lang('PAGAMENTO');?></th>
														<th><?php echo lang('USUARIO');?></th>
													</tr>
													</thead>
													<tbody>
													<?php 	
														$retorno_row = $gestao->getAgendaColaborador($data, $id_medico, $id_empresa);
														$total = 0;
														$quant = 0;
														if($retorno_row):
														foreach ($retorno_row as $exrow):
															$total += $exrow->valor_pago;
															$quant++;
														
													?>
														<tr>
															<td><?php echo exibedataHora($exrow->data_agenda);?></td>
															<td><a href="index.php?do=paciente&acao=agenda&id=<?php echo $exrow->id_paciente;?>"><?php echo $exrow->paciente;?></a></td>
															<td><?php echo ($exrow->id_convenio > 0) ? $exrow->convenio : "PARTICULAR";?></td>
															<td><?php echo $exrow->procedimento;?></td>
															<td><?php echo decimal($exrow->valor_pago);?></td>
															<td><?php echo exibedataHora($exrow->data_pagamento);?></td>
															<td><?php echo ($exrow->usuario_pagamento) ? $exrow->usuario_pagamento : $exrow->usuario_agenda;?></td>
														</tr>
													<?php 	endforeach;?>
												</tbody>
												<tfoot>
														<tr>
															<td colspan="3"><strong><?php echo lang('TOTAL');?></strong></td>
															<td><strong><?php echo $quant;?></strong></td>
															<td><strong><?php echo decimal($total);?></strong></td>
															<td colspan="2"></td>
														</tr>
												</tfoot>
													<?php unset($exrow);
														  endif;?>
											</table>
										</td>
									</tr>
								</table>
							</div>
						</div>
					</div>
			</div>
		</div>
	</div>
</div>
<div class="quebra_pagina"></div>
<div class="noprint"></div>
</body>
</html>