<!DOCTYPE html>
<!--[if IE 8]> <html lang="pt-BR" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="pt-BR" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="pt-BR">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>

<!-- Meta -->
<meta charset="utf-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta content="width=device-width, initial-scale=1.0" name="viewport"/>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="description" content="SIGE - Sistemas de Gestão - VOCÊ NO CONTROLE DA SUA EMPRESA, em qualquer lugar... a qualquer momento!"/>
<meta name="keywords" content="geandro bessa, divulgação online, divulgação, sistemas web, aplicativos, mobile, aplicativos vale do aço, aplicativos ipatinga, sistemas de gestão, sistemas web ipatinga, sistemas ipatinga, sistemas vale do aço, sites ipatinga, sites vale do aço, SIGE, TELECOM, sige, telecom" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="author" content="Geandro Bessa"/>

<!-- Title -->
<title>Ajuste de repasse</title>

<!-- Favicons -->
<link rel="shortcut icon" href="../assets/img/favicon.png">
<link rel="apple-touch-icon" href="../assets/img//favicon_60x60.png">
<link rel="apple-touch-icon" sizes="76x76" href="../assets/img//favicon_76x76.png">
<link rel="apple-touch-icon" sizes="120x120" href="../assets/img//favicon_120x120.png">
<link rel="apple-touch-icon" sizes="152x152" href="../assets/img//favicon_152x152.png">
</head>
<body>
<?php
	set_time_limit(0);
	ini_set('memory_limit', '-1');
	ini_set('max_execution_time', 600);
	ini_set('fastcgi_read_timeout', 600);
	define("_VALID_PHP", true);
	require('../init.php');	
	echo ' >> INICIO - '.date('d/m/Y H:i:s').'<br>';
		$sql = "SELECT a.*, t.procedimento, t.codigo, t.id_especialidade "
		. "\n FROM atendimento AS a "
		. "\n LEFT JOIN tabela AS t ON t.id = a.id_tabela "
		. "\n WHERE a.realizado = 1 AND a.valor_repasse = 0 "
		. "\n ORDER BY a.id; ";
		$retorno_row = $db->fetch_all($sql);
		$i = 0;
		if($retorno_row) {
			foreach ($retorno_row as $exrow){
				$i++;
				echo 'PROCEDIMENTO >> '.$exrow->procedimento.'<br>';
				$repasse = $paciente->getValorRepasse($exrow->id_tabela, $exrow->id_medico, $exrow->id_convenio);
				$producao = getValue('producao', 'usuario', 'id='.$exrow->id_medico);
				$percentual_tabela = getValue('percentual_repasse', 'tabela', 'id='.$exrow->id_tabela);
				$valor_tabela = getValue('valor_repasse', 'tabela', 'id='.$exrow->id_tabela);
				$valor_repasse = 0;
				if($producao == 2) {
					$percentual_repasse = ($repasse) ? $repasse->percentual_repasse : 0;
					$percentual_repasse = ($percentual_repasse) ? $percentual_repasse : $percentual_tabela;
					$valor_repasse = $valor*$percentual_repasse/100;
				} else {
					$valor_repasse = ($repasse) ? $repasse->valor_repasse : 0;
					$valor_repasse = ($valor_repasse) ? $valor_repasse : $valor_tabela;
				}
				$data_atendimento = array(
					'valor_repasse' => $valor_repasse,
					'usuario_laboratorio' => 'geandro'
				);
				$db->update("atendimento", $data_atendimento, "id=".$exrow->id);
			}
			unset($exrow);
		}
		echo '<br><strong> >> TOTAL: '.$i.'</strong><br><br>';
		echo ' >> FINAL - '.date('d/m/Y H:i:s').'<br>';
?>

</body>
</html>