<!doctype html>
<html lang="pt-BR">
<head>
  <meta charset="utf-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="shortcut icon" href="../assets/img/favicon.png"/>

  <title>Agendas Duplicadas</title>
</head>
<body>
<?php
	// PHP5 Implementation - uses MySQLi.
	// mysqli('localhost', 'yourUsername', 'yourPassword', 'yourDatabase');
	set_time_limit(0);
	ini_set('memory_limit', '-1');
	ini_set('max_execution_time', 600);
	ini_set('fastcgi_read_timeout', 600);
	define("_VALID_PHP", true);
	require('../init.php');	
	echo ' >> INICIO - '.date('d/m/Y H:i:s').'<br>';
		 $sql = "SELECT id, id_medico, data_agenda, COUNT(1) AS quant " 
		  . "\n FROM atendimento as a"
		  . "\n WHERE data_agenda IS NOT NULL"
		  . "\n GROUP BY id_medico, data_agenda "
		  . "\n HAVING COUNT(1) > 1 "
		  . "\n ORDER BY a.id LIMIT 0, 1000";
          $retorno_row = $db->fetch_all($sql);
		  $i = 0;		  
		echo '<br><strong> >> QUANT: '.count($retorno_row).'</strong><br><br>';
		if($retorno_row) {
			foreach ($retorno_row as $exrow){
				$i++;
				$primeiro = true;
				$id = 0;
				echo '>> DATA: '.$exrow->data_agenda.' - ['.$exrow->quant.']<br>';	
				$sql = "SELECT a.id, a.data_agenda " 
				  . "\n FROM atendimento as a"
				  . "\n WHERE a.id_medico = '".$exrow->id_medico."' "
				  . "\n AND a.data_agenda = '".$exrow->data_agenda."' "
				  . "\n ORDER BY a.id_prontuario DESC, a.id ASC ";
				// echo '['.$sql.']<br>';	
				  $nome_row = $db->fetch_all($sql);	
				if($nome_row) {
					foreach ($nome_row as $nrow){	
						$id_atendimento = $nrow->id;
						echo ' ---- >> ID: '.$nrow->id.' - ['.$nrow->data_agenda.']<br>';
						if(!$primeiro) {
							$sql = "UPDATE atendimento SET realizado = 9, data_agenda_cancelada = data_agenda, data_agenda = NULL, id_cancelamento = 9, data_cancelamento = NOW(), usuario = 'admin' WHERE id = $id_atendimento;";
							$db->insertSQL($sql);
						}
						$primeiro = false;
					}
				}					
			}
			unset($exrow);
		}
		echo '<br><strong> >> TOTAL: '.$i.'</strong><br><br>';
		echo ' >> FINAL - '.date('d/m/Y H:i:s').'<br>';
?>
</body>
</html>