<?php
  /**
   * Modelo
   *
   * @package Sistemas Divulgao Online
   * @author Geandro Bessa
   * @copyright 2013
   * @version 2
   */
  if (!defined("_VALID_PHP"))
      die('Acesso direto a esta classe no  permitido.');
  if (!$usuario->is_Gerencia())
	  redirect_to("login.php");
?>
<?php switch(Filter::$acao): case "editar": ?>
<?php $row = Core::getRowById("modelo", Filter::$id);?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('MODELO_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('MODELO_EDITAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">		
					<div class="portlet box <?php echo $core->primeira_cor;?>">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-edit">&nbsp;&nbsp;</i><?php echo lang('MODELO_EDITAR');?>
							</div>
						</div>
						<div class="portlet-body form">
							<!-- INICIO FORM-->
							<form action="" autocomplete="off" method="post" class="form-horizontal" name="admin_form" id="admin_form">
								<div class="form-body">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-12">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"><?php echo lang('TITULO');?></label>
														<div class="col-md-6">
															<input type="text" class="form-control limpar" name="titulo" value="<?php echo $row->titulo;?>">
														</div>
													</div>
												</div>		
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"><?php echo lang('DESCRICAO');?></label>
														<div class="col-md-6">
															<input type="text" class="form-control limpar" name="descricao" value="<?php echo $row->descricao;?>">
														</div>
													</div>
												</div>	
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"></label>
														<div class="col-md-6">
															<div class="md-checkbox-list">
																<div class="md-checkbox-list">
																	<div class="md-checkbox">
																		<input type="checkbox" class="md-check" name="laudo" id="laudo" value="1" <?php getChecked($row->laudo,'1');?>>
																		<label for="laudo">
																		<span></span>
																		<span class="check"></span>
																		<span class="box"></span>
																		<?php echo lang('LAUDO');?></label>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>		
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-1'><?php echo lang('MEDICO');?></label>
														<div class='col-md-6'>
															<select class="select2me bs-select form-control" name="id_medico" data-placeholder="<?php echo lang('SELECIONE_MEDICO');?>" >
																<option value="0">TODOS MEDICOS</option>
																<?php 
																	$retorno_row = $usuario->getMedicos();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>" <?php if($srow->id == $row->id_medico) echo 'selected="selected"';?>><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																	endif;
																?>
															</select>
														</div>
													</div>
												</div>	
												<div class="row">
													<div class="col-md-12">
														<div class="row">
															<div class="col-md-12">
																<div id="editor">
																<?php echo $row->texto;?>
																</div>
															</div>
														</div>
													</div>
												</div>
												<input name="texto" id="documentos" type="hidden" />			
											</div>
										</div>
									</div>
								</div>
								<input name="id" type="hidden" value="<?php echo Filter::$id;?>" />
								<div class="form-actions">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-6">
												<div class="row">
													<div class="col-md-offset-3 col-md-9">
														<button type="button" class="btn btn-documentos <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
														<button type="button" id="voltar" class="btn default"><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm("processarModelo");?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "adicionar": ?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('MODELO_TITULO');?>&nbsp;<i class="fa fa-angle-right"></i>&nbsp;<small><?php echo lang('MODELO_EDITAR');?></small></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW FORMULARIO -->
			<div class="row">
				<div class="col-md-12">		
					<div class="portlet box <?php echo $core->primeira_cor;?>">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-edit">&nbsp;&nbsp;</i><?php echo lang('MODELO_EDITAR');?>
							</div>
						</div>
						<div class="portlet-body form">
							<!-- INICIO FORM-->
							<form action="" autocomplete="off" method="post" class="form-horizontal" name="admin_form" id="admin_form">
								<div class="form-body">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-12">
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"><?php echo lang('TITULO');?></label>
														<div class="col-md-6">
															<input type="text" class="form-control caps" name="titulo">
														</div>
													</div>
												</div>		
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"><?php echo lang('DESCRICAO');?></label>
														<div class="col-md-6">
															<input type="text" class="form-control limpar" name="descricao">
														</div>
													</div>
												</div>		
												<div class="row">
													<div class="form-group">
														<label class="control-label col-md-1"></label>
														<div class="col-md-6">
															<div class="md-checkbox-list">
																<div class="md-checkbox-list">
																	<div class="md-checkbox">
																		<input type="checkbox" class="md-check" name="laudo" id="laudo" value="1">
																		<label for="laudo">
																		<span></span>
																		<span class="check"></span>
																		<span class="box"></span>
																		<?php echo lang('LAUDO');?></label>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>	
												<div class='row'>
													<div class='form-group'>
														<label class='control-label col-md-1'><?php echo lang('MEDICO');?></label>
														<div class='col-md-6'>
															<select class="select2me bs-select form-control" name="id_medico" data-placeholder="<?php echo lang('SELECIONE_MEDICO');?>" >
																<option value="0">TODOS MEDICOS</option>
																<?php 
																	$retorno_row = $usuario->getMedicos();
																	if ($retorno_row):
																		foreach ($retorno_row as $srow):
																?>
																			<option value="<?php echo $srow->id;?>"><?php echo $srow->nome;?></option>
																<?php
																		endforeach;
																		unset($srow);
																	endif;
																?>
															</select>
														</div>
													</div>
												</div>	
												<div class="row">
													<div class="col-md-12">
														<div class="row">
															<div class="col-md-12">
																<div id="editor">
																</div>
															</div>
														</div>
													</div>
												</div>
												<input name="texto" id="documentos" type="hidden" />			
											</div>
										</div>
									</div>
								</div>
								<div class="form-actions">
									<div class="row">
										<div class="col-md-12">
											<div class="col-md-6">
												<div class="row">
													<div class="col-md-offset-3 col-md-9">
														<button type="button" class="btn btn-documentos <?php echo $core->primeira_cor;?>"><?php echo lang('SALVAR');?></button>
														<button type="button" id="voltar" class="btn default"><?php echo lang('VOLTAR');?></button>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</form>
							<?php echo $core->doForm("processarModelo");?>	
							<!-- FINAL FORM-->
						</div>
					</div>
				</div>
			</div>
			<!-- FINAL DO ROW FORMULARIO -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php case "listar": ?>
<!-- INICIO CONTEUDO DA PAGINA -->
<div class="page-container">
	<!-- INICIO CABECALHO DA PAGINA -->
	<div class="page-head">
		<div class="container">
			<!-- INICIO TITULO DA PAGINA -->
			<div class="page-title">
				<h1><?php echo lang('MODELO_TITULO');?></h1>
			</div>
			<!-- FINAL TITULO DA PAGINA -->
		</div>
	</div>
	<!-- FINAL CABECALHO DA PAGINA -->
	<!-- INICIO DOS MODULOS DA PAGINA -->
	<div class="page-content">
		<div class="container">
			<!-- INICIO DO ROW TABELA -->
			<div class="row">
				<div class="col-md-12">
					<!-- INICIO TABELA -->						
					<div class="portlet light">
						<div class="portlet-title">
							<div class="caption">
								<i class="fa fa-file-text-o font-<?php echo $core->primeira_cor;?>"></i>								
								<span class="font-<?php echo $core->primeira_cor;?>"><?php echo lang('MODELO_TITULO');?></span>
							</div>
							<div class="actions btn-set">
								<a href="index.php?do=modelo&acao=adicionar" class="btn btn-sm <?php echo $core->primeira_cor;?>"><i class="fa fa-plus-square">&nbsp;&nbsp;</i><?php echo lang('ADICIONAR');?></a>
							</div>
						</div>
						<div class="portlet-body">
							<table class="table table-bordered table-striped table-condensed dataTable ">
								<thead>
									<tr>
										<th><?php echo lang('TITULO');?></th>
										<th><?php echo lang('DESCRICAO');?></th>
										<th><?php echo lang('MEDICO');?></th>
										<th><?php echo lang('ACOES');?></th>
									</tr>
								</thead>
								<tbody>
								<?php 	
										$retorno_row = $atendimento->getModelos();
										if($retorno_row):
										foreach ($retorno_row as $exrow):?>
									<tr>
										<td><?php echo $exrow->titulo;?></td>
										<td><?php echo $exrow->descricao;?></td>
										<td><?php echo ($exrow->id_medico) ? $exrow->medico : "TODOS MEDICOS";?></td>
										<td>
											<a href="javascript:void(0);" onclick="javascript:void window.open('pdf_modelo.php?id=<?php echo $exrow->id;?>','<?php echo lang('IMPRIMIR_DOCUMENTO').$exrow->id;?>','width=700,height=600,toolbar=0,menubar=0,location=0,status=0,scrollbars=0,resizable=0,left=0,top=0');return false;" title="<?php echo lang('IMPRIMIR_DOCUMENTO');?>" class="btn btn-icon-only yellow-casablanca"><i class="fa fa-file-o"></i></a>
											<a href="index.php?do=modelo&acao=editar&id=<?php echo $exrow->id;?>" class="btn btn-icon-only blue" title="<?php echo lang('EDITAR').': '.$exrow->titulo;?>"><i class="fa fa-pencil"></i></a>											
											<a href="javascript:void(0);" class="btn btn-icon-only red apagar" id="<?php echo $exrow->id;?>" acao="apagarModelo" title="<?php echo lang('APAGAR').": ".$exrow->titulo;?>"><i class="fa fa-times"></i></a>
										</td>
									</tr>
								<?php endforeach;?>
								<?php unset($exrow);
									  endif;?>
								</tbody>
							</table>
						</div>
					</div>
					<!-- FINAL TABELA -->
				</div>
			</div>
			<!-- FINAL DO ROW TABELA -->
		</div>
	</div>
	<!-- FINAL DOS MODULOS DA PAGINA -->
</div>
<!-- FINAL CONTEUDO DA PAGINA -->
<?php break;?>
<?php default: ?>
<div class="imagem-fundo">
	<img src="assets/img/bg-white.png" border="0">
</div>
<?php break;?>
<?php endswitch;?>

<style>
.ck-editor__editable_inline {
    min-height: 300px;
}
</style>
<script src="./assets/scripts/ckeditor.js"></script>
<script src="./assets/scripts/ckeditor-pt-br.js"></script>
<script>
	// <![CDATA[  
	$(document).ready(function () {
		ClassicEditor
		.create( document.querySelector( '#editor' ), {
			language: 'pt-br',

			autosave: {
				save( editor ) {
					return saveData( editor.getData() );
				}
			}
		} )
		.then( editor => {
			window.editor = editor;
		} )
		.catch( err => {
			console.error( err.stack );
		} );
	});
	// ]]>
</script>
<script type="text/javascript"> 
	// <![CDATA[  
	$(document).ready(function () {
		// SUBMIT DOCUMENTO - Desabilitar o boto SUBMIT
		if($('.btn-documentos').length > 0) {
			$('.btn-documentos').on('click', function(){
				var el = this;
				el.disabled = 'disabled';
				var is_modal = $(this).parents('div').hasClass('modal-footer');
				if(is_modal) {
					var id = $(this).parents('div').parents('div').parents('div').parents('div').attr('id');
					$("#"+id).modal('hide'); 
				}
				var documentos = editor.getData();
				$('#documentos').val(documentos);
				$.bootstrapGrowl("EM PROCESSAMENTO!", {
					ele: "body", 
					type: "warning", 
					offset: {
						from: "top",
						amount: 50
						}, 
						align: "left", 
						width: "auto",
						delay: 1000,
						stackup_spacing: 10 
					});	
				$(this).parents('form:first').submit();	
				setTimeout(function(){
					el.removeAttribute('disabled');
				}, 3000);
			});	
		};
	});
	// ]]>
</script>