<?php
require('funcoes.php');

try {

	$status = 'Aguardando json tv';
	$url = $_SERVER['HTTP_HOST'];
	// Pega a agenda em json
	$json = fetch_object('https://'.$url.'/painel/painel.php?id_empresa=3');
	// $json = fetch_object('http://localhost/painel.php?id_empresa=1');
	// Renderiza a view
	if ($json) {
		if($json->retorno == 1) {
			includeView('agenda', ['agendas' =>$json->agendas]);
		}
	} else {
		$status = "Arquivo de busca do painel não encontrado.";
		throw new Exception("Ocorreu um problema ao tentar buscar a agenda no nosso servidor.", 500);
	}
} catch (Exception $e) {
	includeView('error', [
		'status' => $status,
		'message' => $e->getMessage(),
		'code' => $e->getCode()
	]);
}
?>