<?php
	set_time_limit(0);
	ini_set('memory_limit', '-1');
	ini_set('max_execution_time', 600);
	ini_set('fastcgi_read_timeout', 600);
	define("_VALID_PHP", true);
	require('../init.php');	
	$results = array();
	$registros = 0;
	$draw = (get('draw')) ? intval(get('draw')) : 1;
	if ( isset($_GET['search']) && $_GET['search']['value'] != '' ) {
		$nome = $_GET['search']['value'];
	} else {
		$nome = false;
	}
	$limit = '';
	if ( isset($_GET['start']) && $_GET['length'] != -1 ) {
		$limit = "LIMIT ".intval($_GET['start']).", ".intval($_GET['length']);
	}
	$where = " inativo = 0 ";
	$total_registros = contarEntradas('paciente', $where);
	$retorno_row = $paciente->getPacientes(false, $nome, $limit);
	if($retorno_row) {
		foreach ($retorno_row as $exrow){
			$registros++;
			$results[] = array(
				$exrow->nome,
				$exrow->nome_mae,
				formatar_cpf_cnpj($exrow->cpf),
				$exrow->telefone." ".$exrow->celular,
				$exrow->cidade,
				'<a href="index.php?do=paciente&acao=editar&id='.$exrow->id.'" class="btn btn-icon-only blue" title="'.lang('EDITAR').': '.$exrow->nome.'"><i class="fa fa-pencil"></i></a><a href="javascript:void(0);" class="btn btn-icon-only red apagar" id="'.$exrow->id.'" acao="apagarPaciente" title="'.lang('CADASTRO_APAGAR').$exrow->nome.'"><i class="fa fa-ban"></i></a>'
			);
		}
		unset($exrow);
	}
	$retorno = array(
		"draw" => $draw,
		"recordsTotal" => $total_registros,
		"recordsFiltered" => $total_registros,
		"data" => $results
	);
	echo json_encode($retorno);
?>